/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.feesapi.bjgl.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 总分表关系
 *
 * @author admin
 * @date Wed Feb 28 00:00:00 CST 2024
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="YH_ZFB",resultMap = "yhZfbMap")
@KeySequence("YH_ZFB")
@ApiModel
public class YhZfb extends Model<YhZfb> {
    private static final long serialVersionUID = 1L;

        /**
     * 操作人员编码
     */
            @ApiModelProperty(value = "操作人员编码")
                private String czrybm;
                /**
     * 操作人员姓名
     */
            @ApiModelProperty(value = "操作人员姓名")
                private String czryxm;
                /**
     * 操作时间
     */
            @ApiModelProperty(value = "操作时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date czsj;
                /**
     * $column.comments
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "$column.comments")
                private String id;
                /**
     * 用户编号-总表
     */
            @ApiModelProperty(value = "用户编号-总表")
                private String yhbhZb;
                /**
     * 用户编号-分表
     */
            @ApiModelProperty(value = "用户编号-分表")
                private String yhbhFb;
                /**
     * 水表ID-总表
     */
            @ApiModelProperty(value = "水表ID-总表")
                private String cbkidZb;
                /**
     * 水表ID-分表
     */
            @ApiModelProperty(value = "水表ID-分表")
                private String cbkidFb;
            
}
