/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.feesapi.bjgl.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 换表（含普表换表）
 *
 * @author sxb
 * @date Mon Mar 04 00:00:00 CST 2024
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="YK_YHBG_HB",resultMap = "ykYhbgHbMap")
@KeySequence("YK_YHBG_HB")
@ApiModel
public class YkYhbgHb extends Model<YkYhbgHb> {
    private static final long serialVersionUID = 1L;

        /**
     * 录入人员姓名
     */
            @ApiModelProperty(value = "录入人员姓名")
                private String lrryxm;
                /**
     * 原-水表类别
     */
            @ApiModelProperty(value = "原-水表类别")
                private String ySblb;
                /**
     * 新-水表类别
     */
            @ApiModelProperty(value = "新-水表类别")
                private String xSblb;
                /**
     * 原-水表量程
     */
            @ApiModelProperty(value = "原-水表量程")
                private String ySblc;
                /**
     * 新-水表量程
     */
            @ApiModelProperty(value = "新-水表量程")
                private String xSblc;
                /**
     * 记录ID
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "记录ID")
                private String id;
                /**
     * 用户号
     */
            @ApiModelProperty(value = "用户号")
                private String yhbh;
                /**
     * 原客户编号
     */
            @ApiModelProperty(value = "原客户编号")
                private String ykhbh;
                /**
     * 用户姓名
     */
            @ApiModelProperty(value = "用户姓名")
                private String yhxm;
                /**
     * 用户地址
     */
            @ApiModelProperty(value = "用户地址")
                private String yhdz;
                /**
     * 联系电话
     */
            @ApiModelProperty(value = "联系电话")
                private String lxdh;
                /**
     * 抄表卡号
     */
            @ApiModelProperty(value = "抄表卡号")
                private BigDecimal cbkh;
                /**
     * 抄表卡ID
     */
            @ApiModelProperty(value = "抄表卡ID")
                private String cbkid;
                /**
     * 原_水表厂家
     */
            @ApiModelProperty(value = "原_水表厂家")
                private String ySbcj;
                /**
     * 原_水表出厂日期
     */
            @ApiModelProperty(value = "原_水表出厂日期")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date ySbccrq;
                /**
     * 原_水表口径
     */
            @ApiModelProperty(value = "原_水表口径")
                private String ySbkj;
                /**
     * 原_水表型
     */
            @ApiModelProperty(value = "原_水表型")
                private String ySbxh;
                /**
     * 原_水表编号
     */
            @ApiModelProperty(value = "原_水表编号")
                private String ySbbh;
                /**
     * 原_ICKID
     */
            @ApiModelProperty(value = "原_ICKID")
                private String yIckid;
                /**
     * 原_水表读数
     */
            @ApiModelProperty(value = "原_水表读数")
                private BigDecimal ySbds;
                /**
     * 原_IC表剩余水量
     */
            @ApiModelProperty(value = "原_IC表剩余水量")
                private BigDecimal yIcbsysl;
                /**
     * 原_机械表用水量
     */
            @ApiModelProperty(value = "原_机械表用水量")
                private BigDecimal yJxbysl;
                /**
     * 新_水表厂家
     */
            @ApiModelProperty(value = "新_水表厂家")
                private String xSbcj;
                /**
     * 新_水表出厂日期
     */
            @ApiModelProperty(value = "新_水表出厂日期")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date xSbccrq;
                /**
     * 新_水表口径
     */
            @ApiModelProperty(value = "新_水表口径")
                private String xSbkj;
                /**
     * 新_水表型
     */
            @ApiModelProperty(value = "新_水表型")
                private String xSbxh;
                /**
     * 新_水表编号
     */
            @ApiModelProperty(value = "新_水表编号")
                private String xSbbh;
                /**
     * 新_ICKID
     */
            @ApiModelProperty(value = "新_ICKID")
                private String xIckid;
                /**
     * 新_水表读数
     */
            @ApiModelProperty(value = "新_水表读数")
                private BigDecimal xSbds;
                /**
     * 审批人员
     */
            @ApiModelProperty(value = "审批人员")
                private String spry;
                /**
     * 换表人员
     */
            @ApiModelProperty(value = "换表人员")
                private String hbry;
                /**
     * 换表日期
     */
            @ApiModelProperty(value = "换表日期")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date hbrq;
                /**
     * 录入人员
     */
            @ApiModelProperty(value = "录入人员")
                private String lrry;
                /**
     * 录入日期
     */
            @ApiModelProperty(value = "录入日期")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date lrrq;
                /**
     * 备注
     */
            @ApiModelProperty(value = "备注")
                private String bz;
                /**
     * 原_水表起数
     */
            @ApiModelProperty(value = "原_水表起数")
                private BigDecimal ySbqs;
                /**
     * 新_水表起数
     */
            @ApiModelProperty(value = "新_水表起数")
                private BigDecimal xSbqs;

}
