package com.tofly.feesapi.bjgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;


@Data
@ApiModel("水表档案水价更新DTO")
public class YhCbkxxSjUpdate {

    @ApiModelProperty(value = "用户编号与抄表卡号", position = 3, required = true)
    private List<YhCbkxxSjUpdateItem> yhbhcbkhs;

    @ApiModelProperty(value = "抄表卡ID", position = 4)
    private List<String> cbkids;

    @ApiModelProperty(value = "一表多价标志", position = 6, example = "1")
    private String ybdjbz = "0";

    @ApiModelProperty(value = "污水费标志", position = 7, example = "1")
    private String wsfbz = "0";

    @ApiModelProperty(value = "水价编码", position = 9, example = "1")
    private String sjbm;

    @ApiModelProperty(value = "水价编码1", position = 10, example = "1")
    private String sjbm1;

    @ApiModelProperty(value = "水量比例1", position = 12, example = "0.5")
    private BigDecimal slbl1;

    @ApiModelProperty(value = "水价编码2", position = 13, example = "2")
    private String sjbm2;

    @ApiModelProperty(value = "水量比例2", position = 15, example = "0.5")
    private BigDecimal slbl2;

    @ApiModelProperty(value = "水价编码3", position = 16, example = "3")
    private String sjbm3;

    @ApiModelProperty(value = "水量比例3", position = 18, example = "0.5")
    private BigDecimal slbl3;
}
