package com.tofly.feesapi.bjgl.entity.vo;

import com.tofly.feesapi.common.constant.JfztEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * <p>
 * 用户表计信息
 * </p>
 *
 * @author decai
 * @since 2024-01-10
 */
@Getter
@Setter
@ApiModel(value = "水表档案列表VO", description = "用户表计信息")
public class YhCbkxxSelect implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户编号", position = 1)
    private String yhbh;

    @ApiModelProperty(value = "抄表卡号", position = 2)
    private String cbkh;

    @ApiModelProperty(value = "ID号，唯一", position = 3)
    private String cbkid;

    @ApiModelProperty(value = "水表类别", position = 4)
    private String sblbmc;

    @ApiModelProperty(value = "水表生产厂家", position = 5)
    private String sbsccjmc;

    @ApiModelProperty(value = "水表出厂日期", position = 6)
    private LocalDate sbccrq;

    @ApiModelProperty(value = "水表型号", position = 7)
    private String sbxh;

    @ApiModelProperty(value = "水表口径", position = 8)
    private String sbkj;

    @ApiModelProperty(value = "水表编号", position = 9)
    private String sbbh;

    @ApiModelProperty(value = "水价名称", position = 10)
    private String sjmc;

    @ApiModelProperty(value = "计费状态", position = 11)
    private JfztEnum jfzt;
}
