package com.tofly.feesapi.bjgl.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 水表档案
 */
@Data
@ApiModel("用户换表更新DTO")
public class YhHbUpdate {


    @ApiModelProperty(value = "抄表卡ID", position = 2, required = true, example = "1")
    private String cbkid;

    @ApiModelProperty(value = "水表类别编码", position = 4, required = true, example = "1")
    private String sblb;

    @ApiModelProperty(value = "水表生产厂家编码", position = 5, required = true, example = "1")
    private String sbsccj;

    @ApiModelProperty(value = "水表型号编码", position = 6, required = true, example = "1")
    private String sbxh;

    @ApiModelProperty(value = "水表量程编码", position = 7, required = true, example = "4")
    private String sblc;

    @ApiModelProperty(value = "水表口径编码", position = 8, required = true, example = "20")
    private String sbkj;

    @ApiModelProperty(value = "水表编号", position = 9, required = true, example = "00003")
    private String sbbh;

    @ApiModelProperty(value = "水表起数（底数）", position = 13, required = true, example = "0")
    private int sbqs = 0;

    @ApiModelProperty(value = "备注", position = 50, required = true, example = "设备故障")
    private String bz;

}
