package com.tofly.feesapi.bjgl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.bjgl.entity.YhCbkxx;
import com.tofly.feesapi.bjgl.entity.dto.*;
import com.tofly.feesapi.bjgl.entity.vo.*;
import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.common.entity.vo.PageResult;
import com.tofly.feesapi.security.model.CzyUserDetails;
import com.tofly.feesapi.yhgl.entity.dto.YhKhjbxxInsert;

import java.math.BigDecimal;
import java.util.List;

/**
 * 用户表计信息
 *
 */
public interface YhCbkxxService extends IService<YhCbkxx> {

    List<YhCbkxxSelect> getList(String yhbh);

    YhCbkxxView getViewById(String yhbh);

    boolean delByIds(List<String> ids, CzyUserDetails czyUserDetails);

    boolean delById(String id, CzyUserDetails czyUserDetails);

    YhCbkxx save(CzyUserDetails czyUserDetails, YhKhjbxxInsert insert, String yhbh);

    boolean update(YhCbkxxUpdate update, CzyUserDetails czyUserDetails);

    boolean disable(String yhbh, CzyUserDetails czyUserDetails);

    boolean enable(String yhbh, CzyUserDetails czyUserDetails);

    boolean updateCbxh(YhCbkxxCbxhUpdate update, CzyUserDetails czyUserDetails);

    PageResult<YhCbkxxSelect2> getPage(PageDto pageDto, YhCbkxxFilter filter, List<String> sblbs);



    boolean updateSj(YhCbkxxSjUpdate update, CzyUserDetails czyUserDetails);

    boolean hb(YhHbUpdate update, CzyUserDetails czyUserDetails);

    boolean cancelCbxh(YhCbkxxCbxhCancel cancel, CzyUserDetails czyUserDetails);

    boolean sxydCbxh(YhCbkxxCbxhSxyd sxyd, CzyUserDetails czyUserDetails);

    void updateSblc(String yhbh, String sblcbm);

    /**
     * 查询抄表卡信息
     *
     * @param sblb
     * @param sbsccj
     * @param afterCbkid 在该抄表卡ID之后
     * @param limit      最多条数
     * @return
     */
    List<YhCbkxx> getListByAfterCbkid(String sblb, String sbsccj, String afterCbkid, int limit);

    long count(String sblb, String sbsccj);

    void lockTable();

    void updateLjsl(String cbkid, BigDecimal ljsl);

    void updateSyje(String cbkid, BigDecimal syje);

    void znbSync();

    List<YhCbkxxSync> getBySbsccj(String sbsccj);
}
