/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.feesapi.bmgl.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 抄表方式
 *
 * @author sxb
 * @date Tue Aug 08 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "BM_CBFS", resultMap = "bmCbfsMap")
@KeySequence("BM_CBFS")
@ApiModel
public class BmCbfs extends Model<BmCbfs> {
    private static final long serialVersionUID = 1L;

    /**
     * 编码
     */
    @TableId(value = "CODE", type = IdType.INPUT)
    @ApiModelProperty(value = "编码")
    private String code;
    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;
    /**
     * 是否启用：0不启用，1启用
     */
    @ApiModelProperty(value = "是否启用：0不启用，1启用")
    private String isdisabled;
    /**
     * 序号
     */
    @ApiModelProperty(value = "序号")
    private String xh;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date cdate;
    /**
     * 创建人员
     */
    @ApiModelProperty(value = "创建人员")
    private String ocode;

}
