/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.feesapi.bmgl.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 水表类别
 *
 * @author sxb
 * @date Thu Feb 22 00:00:00 CST 2024
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "BM_SBLB", resultMap = "bmSblbMap")
@KeySequence("BM_SBLB")
@ApiModel
public class BmSblb extends Model<BmSblb> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "CODE", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private String code;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private String name;
    /**
     * 是否启用：0不启用，1启用
     */
    @ApiModelProperty(value = "是否启用：0不启用，1启用")
    private String isdisabled;

}
