/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.feesapi.bmgl.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;
import java.util.stream.Collectors;


/**
 * 父级码表
 *
 * @author sxb
 * @date Tue Aug 08 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="SYS_PARENT_CODE",resultMap = "sysParentCodeMap")
@KeySequence("SYS_PARENT_CODE")
@ApiModel
public class SysParentCode extends Model<SysParentCode> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键编号
     */
        @TableId(value = "PCID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键编号")
                private BigDecimal pcid;
                /**
     * 码表名称
     */
            @ApiModelProperty(value = "码表名称")
                private String pcname;
            
}
