package com.tofly.feesapi.bmgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("水价查询参数DTO")
public class BmSjFilter {

    @ApiModelProperty(value = "关键字(名称)", example = "生活", position = 3)
    private String searchText;

    @ApiModelProperty(value = "所属公司编码(bm_gs)", example = "1", position = 4)
    private String ssgs;
}
