package com.tofly.feesapi.bmgl.entity.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/***
 * 水价查询列表DTO
 */
@Getter
@Setter
public class BmSjSelectDto {

    /**
     * 所属公司编码
     */
    private String ssgs;

    /**
     * 水价编码
     */
    private String code;

    /**
     * 水价名称
     */
    private String name;

    /**
     * 用水类型
     */
    private String yslxmc;

    /**
     * 阶梯标志（1是，0否）
     */
    private String jtbz;

    /**
     * 水价
     */
    private BigDecimal sj;

    /**
     * 阶梯1水量止数
     */
    private BigDecimal jt1Zs;

    /**
     * 阶梯1算费水价
     */
    private BigDecimal jt1Sj;

    /**
     * 阶梯2水量止数
     */
    private BigDecimal jt2Zs;

    /**
     * 阶梯2算费水价
     */
    private BigDecimal jt2Sj;

    /**
     * 阶梯3水量止数
     */
    private BigDecimal jt3Zs;

    /**
     * 阶梯3算费水价
     */
    private BigDecimal jt3Sj;

    /**
     * 阶梯4水量止数
     */
    private BigDecimal jt4Zs;

    /**
     * 阶梯4算费水价
     */
    private BigDecimal jt4Sj;

    /**
     * 污水费单价
     */
    private BigDecimal wsfdj;

    /**
     * 垃圾费单价
     */
    private BigDecimal ljfdj;

    /**
     * 创建时间
     */
    private LocalDateTime czsj;
}

