package com.tofly.feesapi.bmgl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.feesapi.bmgl.entity.BmYslx;
import com.tofly.feesapi.bmgl.entity.dto.BmYslxFilter;
import com.tofly.feesapi.bmgl.entity.vo.BmYslxSelect;
import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.common.entity.vo.PageResult;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

import java.util.List;
import java.util.Map;

/**
 * 用水类型
 */
public interface BmYslxMapper extends BaseMapper<BmYslx> {
    //获取最大Id
    BigDecimal selectMaxId();

    PageDto<BmYslxSelect> getPage(PageDto pageDto, @Param("filter") BmYslxFilter filter);
    List<Map<String,Object>> selectListMap();
}
