/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.feesapi.bmgl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.feesapi.bmgl.entity.SysChildCode;
import org.apache.ibatis.annotations.Param;


import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 子集编码表
 *
 * @author sxb
 * @date Tue Aug 08 00:00:00 CST 2023
 */
public interface SysChildCodeMapper extends BaseMapper<SysChildCode> {
    //获取最大Id
    BigDecimal selectMaxId();

    List<Map<String,Object>> selectListMapParentCode();
    //自定义子及编码表列表查询
    List<Map<String,Object>> selectListMapChildCode(String pcId);
                            }
