package com.tofly.feesapi.cbgl.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 智能表每天抄表明细数据
 * </p>
 *
 * @author decai
 * @since 2024-02-28
 */
@Getter
@Setter
@TableName("ZNB_CB_DAY")
@ApiModel(value = "ZnbCbDay对象", description = "智能表每天抄表明细数据")
public class ZnbCbDay implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键id")
    private String id;

    @ApiModelProperty("用户编号")
    private String yhbh;

    @ApiModelProperty("水表编号")
    private String sbbh;

    @ApiModelProperty("生产厂家")
    private String sccj;

    @ApiModelProperty("上次读数")
    private Long scds;

    @ApiModelProperty("本次读数")
    private Long bcds;

    @ApiModelProperty("抄回止数")
    private Long chzs;

    @ApiModelProperty("日用水量(抄回止数-本次读数)")
    private Long sl;

    @ApiModelProperty("计划日期")
    private Date uday;

    @ApiModelProperty("抄表日期")
    private Date cbrq;

    @ApiModelProperty("更新时间")
    private Date utime;

    @ApiModelProperty("处理结果（0=未处理，1=已处理）")
    private String cljg;

    @ApiModelProperty("处理信息")
    private String clxx;

    public static final String ID = "ID";

    public static final String YHBH = "YHBH";

    public static final String SBBH = "SBBH";

    public static final String SCCJ = "SCCJ";

    public static final String SCDS = "SCDS";

    public static final String BCDS = "BCDS";

    public static final String CHZS = "CHZS";

    public static final String SL = "SL";

    public static final String UDAY = "UDAY";

    public static final String CBRQ = "CBRQ";

    public static final String UTIME = "UTIME";

    public static final String CLJG = "CLJG";

    public static final String CLXX = "CLXX";
}
