package com.tofly.feesapi.cbgl.entity.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("抄表录入修改DTO")
public class YyCblrUpdate {

    @ApiModelProperty(value = "用户编号", position = 1, required = true)
    private String yhbh;

//    @ApiModelProperty(value = "财务日期", position = 2, required = true)
//    private String cwrq;

    @ApiModelProperty(value = "抄表卡号", position = 3, required = true)
    private String cbkh;

    @ApiModelProperty(value = "水表量程", position = 4, required = true)
    private String sblc;

    @ApiModelProperty(value = "抄表方式:bm_cbfs", position = 5, required = true)
    private String cbfs;

    @ApiModelProperty(value = "抄表类型:BM_CBLX", position = 6, required = true)
    private String cblx;

    @ApiModelProperty(value = "上次读数", position = 7, required = true)
    private BigDecimal scds;

    @ApiModelProperty(value = "本次读数", position = 8, required = true)
    private BigDecimal bcds;

    @ApiModelProperty(value = "本次加减量", position = 9, required = true)
    private BigDecimal jjl;

    @ApiModelProperty(value = "实际水量", position = 10, required = true)
    private BigDecimal sjsl;

    @ApiModelProperty(value = "抄表备注,存储抄表描述内容", position = 11)
    private String bz;

    @ApiModelProperty(value = "旧表止读", position = 15)
    private BigDecimal jbzd;

    @ApiModelProperty(value = "新表起度", position = 16)
    private BigDecimal xbqd;

    @ApiModelProperty(value = "旧表编号", position = 17)
    private String jbbh;

    @ApiModelProperty(value = "是否修改底数,1:修改、其他未修改", position = 19)
    private String xgds;
    @ApiModelProperty(value = "抄表来源(抄表数据来源（0手工抄表，1抄表机抄表，2移动APP抄表，3远传抄表，4批量导入抄表，5换表抄,  6 一体机抄表）)", position = 20, required = true)
    private String cbly;
}
