package com.tofly.feesapi.cbgl.entity.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("抄表水量统计列表VO")
public class CbSltjSelect {

    @ColumnWidth(20)
    @ExcelProperty("${tjlb}")
    @ApiModelProperty(value = "统计类别", position = 1)
    private String tjlb;

    @ColumnWidth(20)
    @ExcelProperty("抄表户数")
    @ApiModelProperty(value = "抄表户数", position = 2)
    private Integer cbhs;

    @ColumnWidth(20)
    @ExcelProperty("抄表水量（方）")
    @ApiModelProperty(value = "抄表水量（方）", position = 3)
    private Integer cbsl;

}
