package com.tofly.feesapi.cbgl.entity.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;


@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("抄表率统计列表VO")
public class CbltjSelect {

    @ColumnWidth(20)
    @ExcelProperty("${tjlb}")
    @ApiModelProperty(value = "统计类别", position = 1)
    private String tjlb;

    @ColumnWidth(20)
    @ExcelProperty("应抄表数")
    @ApiModelProperty(value = "应抄表数", position = 2)
    private Integer ycbs;

    @ColumnWidth(20)
    @ExcelProperty("已抄表数")
    @ApiModelProperty(value = "已抄表数", position = 3)
    private Integer scbs;

    @ColumnWidth(20)
    @ExcelProperty("未抄表数")
    @ApiModelProperty(value = "未抄表数", position = 4)
    private Integer wcbs;

    @ColumnWidth(20)
    @ExcelProperty("抄表率（%）")
    @ApiModelProperty(value = "抄表率（%）", position = 5)
    private String cbl;

}
