package com.tofly.feesapi.cbgl.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


@Data
@ApiModel("抄表录入查看VO")
public class YyCblrView {

    @ApiModelProperty(value = "用户编号", position = 1)
    private String yhbh;

    @ApiModelProperty(value = "财务日期", position = 2)
    private String cwrq;

    @ApiModelProperty(value = "抄表卡号", position = 3)
    private String cbkh;

    @ApiModelProperty(value = "水表编号", position = 4)
    private String sbbh;

    @ApiModelProperty(value = "用户姓名", position = 6)
    private String yhxm;

    @ApiModelProperty(value = "联系电话", position = 7)
    private String lxdh;

    @ApiModelProperty(value = "用户地址", position = 8)
    private String yhdz;

    @ApiModelProperty(value = "水表量程", position = 9)
    private String sblc;

    @ApiModelProperty(value = "抄表方式:bm_cbfs", position = 10)
    private String cbfs;

    @ApiModelProperty(value = "抄表类型:BM_CBLX", position = 11)
    private String cblx;

    @ApiModelProperty(value = "上次读数", position = 12)
    private BigDecimal scds;

    @ApiModelProperty(value = "本次读数", position = 13)
    private BigDecimal bcds;

    @ApiModelProperty(value = "本次加减量", position = 14)
    private BigDecimal jjl;

    @ApiModelProperty(value = "实际水量", position = 15)
    private BigDecimal sjsl;

    @ApiModelProperty(value = "抄表备注,存储抄表描述内容", position = 16)
    private String bz;

    @ApiModelProperty(value = "抄表照片", position = 17)
    private String photo;
}
