package com.tofly.feesapi.cbgl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.feesapi.cbgl.entity.YyCblrLs;
import com.tofly.feesapi.cbgl.entity.dto.YyCbycmxFilter;
import com.tofly.feesapi.cbgl.entity.vo.CbSltjSelect;
import com.tofly.feesapi.cbgl.entity.vo.CbltjSelect;
import com.tofly.feesapi.cbgl.entity.vo.YyCbycmxSelect;
import com.tofly.feesapi.common.entity.dto.PageDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface YyCblrLsMapper extends BaseMapper<YyCblrLs> {
    List<CbSltjSelect> cbsltj(@Param("tjlb") String tjlb, @Param("ssgs") String ssgs, @Param("cwrq") String cwrq);

    List<CbltjSelect> cbltj(@Param("tjlb") String tjlb, @Param("ssgs") String ssgs, @Param("cwrq") String cwrq);

    PageDto<YyCbycmxSelect> cbycmxPage(PageDto pageDto,
                                       @Param("filter") YyCbycmxFilter filter,
                                       @Param("cwrq1") String cwrq1,
                                       @Param("cwrq2") String cwrq2,
                                       @Param("cwrq3") String cwrq3);

    List<YyCbycmxSelect> cbycmx(@Param("filter") YyCbycmxFilter filter,
                                @Param("cwrq1") String cwrq1,
                                @Param("cwrq2") String cwrq2,
                                @Param("cwrq3") String cwrq3);
}
