package com.tofly.feesapi.cbgl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.feesapi.cbgl.entity.YyCblr;
import com.tofly.feesapi.cbgl.entity.dto.YyCblrFilter;
import com.tofly.feesapi.cbgl.entity.vo.CbSltjSelect;
import com.tofly.feesapi.cbgl.entity.vo.CbltjSelect;
import com.tofly.feesapi.cbgl.entity.vo.YyCblrSelect;
import com.tofly.feesapi.cbgl.entity.vo.YyCblrView;
import com.tofly.feesapi.common.entity.dto.PageDto;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;
import java.util.Map;

public interface YyCblrMapper extends BaseMapper<YyCblr> {
    PageDto<YyCblrSelect> getPage(PageDto pageDto, @Param("filter") YyCblrFilter filter);

    YyCblrView getViewById(@Param("yhbh") String yhbh, @Param("cbkh") String cbkh);

    List<YyCblrSelect> getList(@Param("filter") YyCblrFilter filter);

    List<CbSltjSelect> cbsltj(@Param("tjlb") String tjlb, @Param("ssgs") String ssgs);

    List<CbltjSelect> cbltj(@Param("tjlb") String tjlb, @Param("ssgs") String ssgs);

    PageDto<YyCblrSelect> getPage2(PageDto pageDto, @Param("filter") YyCblrFilter filter);

    Map getCblrMap(@Param("cbkid")  String cbkid);

    @Select("SELECT count(*) FROM YY_CBLR_LS WHERE cbfs  IN (#{val})")
    int cblrlsCBFS(@Param("val") List<String> val);


    boolean YMJZSFSB();
    boolean yyCblrls();

    boolean updateCbb();
}
