package com.tofly.feesapi.cbgl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.feesapi.cbgl.entity.ZnbZlLog;
import com.tofly.feesapi.cbgl.entity.dto.ZnbCbLogFilter;
import com.tofly.feesapi.cbgl.entity.dto.ZnbZlLogFilter;
import com.tofly.feesapi.cbgl.entity.vo.ZnbZlLogSelect;
import com.tofly.feesapi.common.entity.dto.PageDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 智能表指令明细 Mapper 接口
 * </p>
 *
 * @author decai
 * @since 2024-04-10
 */
public interface ZnbZlLogMapper extends BaseMapper<ZnbZlLog> {

    PageDto<ZnbZlLogSelect> getPage(PageDto pageDto, @Param("filter") ZnbZlLogFilter filter);

    List<ZnbZlLogSelect> getList(@Param("filter") ZnbCbLogFilter filter);
}
