package com.tofly.feesapi.cbgl.service;

import com.tofly.feesapi.cbgl.entity.ZnbCbLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.cbgl.entity.dto.ZnbCbLogFilter;
import com.tofly.feesapi.cbgl.entity.vo.ZnbCbLogSelect;
import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.common.entity.vo.PageResult;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 智能表抄表明细 服务类
 * </p>
 *
 * @author decai
 * @since 2024-04-08
 */
public interface IZnbCbLogService extends IService<ZnbCbLog> {

    PageResult<ZnbCbLogSelect> getPage(PageDto pageDto, ZnbCbLogFilter filter);

    List<ZnbCbLogSelect> getList(ZnbCbLogFilter filter);

    /**
     * 批量抄表
     *
     * @return
     */
    void batchRead();

    /**
     * 获取累积量
     * @param yhbh
     * @param startTime
     * @param endTime
     * @return
     */
    BigDecimal getLjl(String yhbh, LocalDateTime startTime, LocalDateTime endTime);
}
