package com.tofly.feesapi.cbgl.service;

import com.tofly.feesapi.cbgl.entity.ZnbZlLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.cbgl.entity.dto.ZnbCbLogFilter;
import com.tofly.feesapi.cbgl.entity.dto.ZnbFkFilter;
import com.tofly.feesapi.cbgl.entity.dto.ZnbZlLogFilter;
import com.tofly.feesapi.cbgl.entity.vo.ZnbZlLogSelect;
import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.common.entity.vo.PageResult;
import com.tofly.feesapi.security.model.CzyUserDetails;

import java.util.List;

/**
 * <p>
 * 智能表指令明细 服务类
 * </p>
 *
 * @author decai
 * @since 2024-04-10
 */
public interface IZnbZlLogService extends IService<ZnbZlLog> {

    PageResult<ZnbZlLogSelect> getPage(PageDto pageDto, ZnbZlLogFilter filter);

    List<ZnbZlLogSelect> getList(ZnbCbLogFilter filter);

    boolean ZnbFk(ZnbFkFilter filter, CzyUserDetails czyUserDetails);
}
