package com.tofly.feesapi.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.baomidou.mybatisplus.annotation.IEnum;
import lombok.Getter;

/**
 * @author lihaoli
 * @date 2024/6/11
 */
@Getter
public enum BcFylxEnum implements IEnum<Integer> {
    BcSfjWsf(1, "水费及污水费"),
    BcSf(2, "水费"),
    BcWsclf(3, "污水处理费"),
    BcLjclf(4, "垃圾处理费"),
    BcWyj(5, "违约金"),
    BcQtf(6, "其它费"),
    BcYcf(7, "预存费"),
    BcYff(8, "预付费"),
    BcYwgbf(11, "业务-工本费"),
    BcYwsbf(12, "业务-水表费");

    private Integer value;
    private String name;

    //创建构造器
    BcFylxEnum(Integer value, String name) {
        this.value = value;
        this.name = name;
    }

    @Override
    public Integer getValue() {
        return this.value;
    }
}
