/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.feesapi.file.entity.dto;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * 公共文件表： TF_YWPN_FILE_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Data
@ApiModel
public class FileUploadBase64Dto extends Model<FileUploadBase64Dto> {
    private static final long serialVersionUID = 1L;

    /**
     * 文件名称
     */
    @ApiModelProperty(value = "文件名称")
    private String originalFilename;
    /**
     * 文件类型getOriginalFilename
     */
    @ApiModelProperty(value = "文件类型")
    private String contentType;
    /**
     * 文件base64
     */
    @ApiModelProperty(value = "文件base64")
    private String base64String;

}
