package com.tofly.feesapi.file.fileconfiguration;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author lihaoli
 * @date 2024/7/11
 */
@ConfigurationProperties(prefix = "ftp")
@Component
@Data
public class FTPFileStorageProperties {
    /** FTP储存地址 */
    private String server;
    /** FTP储存端口号 */
    private Integer port;
    /** FTP账户 */
    private String userName;
    /** FTP访问密码 */
    private String password;

    private boolean randomFileName;
}
