package com.tofly.feesapi.sfgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author lihaoli
 * @date 2024/6/13
 */
@Data
@ApiModel("阶梯水费计算DTO")
public class Jtsfjs {
    @ApiModelProperty(value = "用户编号", required = true)
    private String yhbh;
    @ApiModelProperty(value = "抄表卡号", required = true)
    private String cbkh;
    @ApiModelProperty(value = "抄表日期", required = true, example = "202406")
    private String cwrq;
    @ApiModelProperty(value = "水价编码", required = true)
    private BigDecimal sjbm;
    @ApiModelProperty(value = "水量", required = true)
    private BigDecimal sl;
    @ApiModelProperty(value = "计算前的阶梯累积量", required = true)
    private BigDecimal jtljl;
}
