package com.tofly.feesapi.sfgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Data
@ApiModel("欠费明细统计查询参数DTO")
public class YyQfmxStatFilter {

    @ApiModelProperty("财务日期")
    private String cwrq;

    @ApiModelProperty("用户编号")
    private String yhbh;

    @ApiModelProperty("所属公司编码")
    private String ssgs;

    @ApiModelProperty("年份")
    private String nf;

    @ApiModelProperty("抄表数据来源（0手工抄表，1抄表机抄表，2移动APP抄表，3远传抄表，4批量导入抄表，5换表抄）")
    private String cbly;

    @ApiModelProperty("计算开始日期(yyyy-MM-dd HH:mm:ss)")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime jsrqStart;

    @ApiModelProperty("计算截止日期(yyyy-MM-dd HH:mm:ss)")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime jsrqEnd;

}
