package com.tofly.feesapi.sfgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@ApiModel(value = "水价付费方式统计DTO", description = "")
@NoArgsConstructor
@AllArgsConstructor
@Data
public class YySjFffsStat {

    @ApiModelProperty(value = "水价编码", position = 1)
    private String sjbm;

    @ApiModelProperty(value = "付费方式", position = 2)
    private String fffs;

    @ApiModelProperty(value = "水量", position = 3)
    private BigDecimal sl;

    @ApiModelProperty(value = "水费", position = 4)
    private BigDecimal sf;

}
