package com.tofly.feesapi.sfgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lihaoli
 * @date 2024/4/28
 */
@Data
@ApiModel("智能表抄表统计列表参数DTO")
public class ZnbCsjsFilter {
    @ApiModelProperty(value = "关键字(用户编号、用户姓名、用户地址、联系电话)")
    private String searchText;

    @ApiModelProperty(value = "所属公司编码")
    private String ssgs;

    @ApiModelProperty(value = "所属抄表片区编码")
    private String sscbpq;

    @ApiModelProperty("所属抄表本(册)编码")
    private String sscbb;

    @ApiModelProperty("财务日期")
    private String cwrq;
}
