package com.tofly.feesapi.sfgl.entity.vo;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.tofly.feesapi.common.MoneySerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


@Data
@ApiModel("今日统计列表VO")
public class JrtjSelect {

    @ApiModelProperty(value = "付费方式")
    private String fffs;

    @ApiModelProperty(value = "笔数")
    private Integer bs;

    @ApiModelProperty(value = "金额")
    @JsonSerialize(using = MoneySerializer.class)
    private BigDecimal je;

}
