package com.tofly.feesapi.sfgl.entity.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author lihaoli
 * @date 2024/5/14
 */
@ApiModel(value = "预付费余额查询VO", description = "预付费余额查询")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class YffYeSeachSelect {
    @ExcelProperty(value = "用户编号",order = 1)
    @ApiModelProperty(value = "用户编号")
    private String yhbh;
    @ExcelProperty(value = "用户卡编号",order = 2)
    @ApiModelProperty(value = "用户卡编号")
    private String ykhbh;
    @ExcelProperty(value = "用户名称",order = 3)
    @ApiModelProperty(value = "用户姓名")
    private String yhxm;
    @ExcelProperty(value = "用户地址",order = 4)
    @ApiModelProperty(value = "用户地址")
    private String yhdz;
    @ExcelProperty(value = "联系电话",order = 5)
    @ApiModelProperty(value = "联系电话")
    private String lxdh;
    @ExcelProperty(value = "结算止度",order = 6)
    @ApiModelProperty(value = "结算止度")
    private BigDecimal zszd;
    @ExcelProperty(value = "结算余额",order = 7)
    @ApiModelProperty(value = "结算余额")
    private BigDecimal zsye;
    @ExcelProperty(value = "可用余额",order = 8)
    @ApiModelProperty(value = "可用余额")
    private BigDecimal kyye;
}
