package com.tofly.feesapi.sfgl.mapper;

import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.sfgl.entity.ZnbCsjsLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.feesapi.sfgl.entity.dto.ZnbCsjsFilter;
import com.tofly.feesapi.sfgl.entity.dto.ZnbCsjsListFilter;
import com.tofly.feesapi.sfgl.entity.vo.ZnbCsjsSelect;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 智能表抄收结算明细 Mapper 接口
 * </p>
 *
 * @author decai
 * @since 2024-04-10
 */
public interface ZnbCsjsLogMapper extends BaseMapper<ZnbCsjsLog> {
    PageDto<ZnbCsjsSelect> getPage(PageDto pageDto, @Param("filter") ZnbCsjsFilter filter);

    List<ZnbCsjsLog> getYhysmxList(@Param("filter") ZnbCsjsListFilter filter);
}
