package com.tofly.feesapi.sfgl.service;

import com.tofly.feesapi.bjgl.entity.YhCbkxx;
import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.common.entity.vo.PageResult;
import com.tofly.feesapi.sfgl.entity.ZnbCsjsLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.sfgl.entity.dto.ZnbCsjsFilter;
import com.tofly.feesapi.sfgl.entity.dto.ZnbCsjsListFilter;
import com.tofly.feesapi.sfgl.entity.vo.ZnbCsjsSelect;
import com.tofly.feesapi.yhgl.entity.YhKhjbxx;

import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 智能表抄收结算明细 服务类
 * </p>
 *
 * @author decai
 * @since 2024-04-10
 */
public interface IZnbCsjsLogService extends IService<ZnbCsjsLog> {

    /**
     * 抄收结算
     *
     * @param cbkxx
     * @param khjbxx
     * @param cwrq
     * @param scds
     * @param bcds
     * @param cbLogId
     * @return
     */
    ZnbCsjsLog csjs(YhCbkxx cbkxx, YhKhjbxx khjbxx, String cwrq, BigDecimal scds, BigDecimal bcds, String cbLogId);

    ZnbCsjsLog getByCbLogId(String cbLogId);

    PageResult<ZnbCsjsSelect> getPage(PageDto pageDto, ZnbCsjsFilter filter);

    List<ZnbCsjsLog> getYhysmxList(ZnbCsjsListFilter filter);

}
