/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.feesapi.sfgl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.common.entity.vo.PageResult;
import com.tofly.feesapi.security.model.CzyUserDetails;
import com.tofly.feesapi.sfgl.entity.YySspjxx;
import com.tofly.feesapi.sfgl.entity.dto.*;
import com.tofly.feesapi.sfgl.entity.vo.*;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 收费明细
 */
public interface YySspjxxService extends IService<YySspjxx> {

    YySspjxxDailyStat dailyStat(YySspjxxDailyStatFilter filter);

    PageResult<YySspjxxSelect> getPage(PageDto pageDto, YySspjxxFilter filter, String sffl, String chbz);

    List<String> save(YySspjxxInsert insert, CzyUserDetails czyUserDetails) throws Exception;

    List<JrtjSelect> jrtj(String sfrybm);

    BigDecimal sbje(String yhbh);

    /**
     * 预付费收取
     *
     * @param yhbh
     * @param scye
     * @param bcye
     * @param sszje
     * @param sfrq
     * @param bz
     * @param czyUserDetails
     * @param sfxh
     * @param fffs
     */
    void addYffsq(String yhbh, BigDecimal scye, BigDecimal bcye, BigDecimal sszje, Date sfrq, String bz, CzyUserDetails czyUserDetails, int sfxh, String fffs, String sflsbh);

    /**
     * 余额转存
     *
     * @param yhbh
     * @param scye
     * @param bcye
     * @param zyc
     * @param sfrq
     * @param bz
     * @param czyUserDetails
     * @param sfxh
     * @param fffs
     */
    void addZyc(String yhbh, BigDecimal scye, BigDecimal bcye, BigDecimal zyc, Date sfrq, String bz, CzyUserDetails czyUserDetails, int sfxh, String fffs, String sflsbh);

    Integer pjCh(PjCh pjch, CzyUserDetails czyUserDetails);

    List<YySspjxxSelect> getList(YySspjxxFilter filter, String sffl, String chbz);

    List<YySspjxxDailyStat2> dailyStat2(YySspjxxStatFilter filter);

    List<YySspjxxZhSfStat> zhSfStat(YySspjxxStatFilter filter);

    List<YySspjxxMonthlyStat> monthlyStat(YySspjxxStatFilter filter);

    YyStat stat(YySspjxxStatFilter filter);

    PageResult<YffYeSeachSelect> yffyeseach(PageDto pageDto, YffYeSeachFilter filter);

    List<YffYeSeachSelect> yffyeseachList(YffYeSeachFilter filter);

    String printPj(String ssid);
}
