package com.tofly.feesapi.udb.smpn.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.tofly.feesapi.udb.smpn.entity.Company;
import com.tofly.feesapi.udb.smpn.mapper.CompanyMapper;
import com.tofly.feesapi.udb.smpn.service.ICompanyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 公司信息表 服务实现类
 * </p>
 *
 * @author decai
 * @since 2024-02-27
 */
@Service
@DS("udb")
public class CompanyServiceImpl extends ServiceImpl<CompanyMapper, Company> implements ICompanyService {

    @Override
    public Company get(Long id) {
        return this.baseMapper.get(id);
    }
}
