package com.tofly.feesapi.wxgl.wechatbasicmgt.entity;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@EqualsAndHashCode
public class ExcelWxTsNotice {
    @ExcelProperty("id")
    private String id;
    @ExcelProperty("编辑时间")
    private Date EDIT_DATE;
    // @ExcelProperty("编辑账号")
    @ExcelIgnore
    private String EDIT_CODE;
    @ExcelProperty("编辑人员")
    private String EDIT_NAME;
    @ExcelProperty("标题")
    private String title;
    @ExcelProperty("内容")
    private String CONTEXT;
    // @ExcelProperty("状态")
    @ExcelIgnore
    private String state;
    @ExcelProperty("停水区域")
    private String STOP_AREA;
    @ExcelProperty("停水原因")
    private String REASON;
    @ExcelProperty("停水时间")
    private Date STOP_TIME;
    @ExcelProperty("备注")
    private String remark;
    @ExcelProperty("恢复用水时间")
    private String RESTORE_TIME;
    @ExcelProperty("恢复用水状态")
    private String RESTORE_STATE;
    @ExcelProperty("复水备注")
    private String RESTORE_REMARK;
    // @ExcelProperty("审核标志")
    @ExcelIgnore
    private String AUDIT_FLAG;
    // @ExcelProperty("审核结果")
    @ExcelIgnore
    private String AUDIT_RESULT;
    //@ExcelProperty("审核人员编码")
    @ExcelIgnore
    private String AUDIT_CODE;
    @ExcelProperty("审核人员")
    private String AUDIT_NAME;
    @ExcelProperty("审核日期")
    private Date AUDIT_DATE;
    //@ExcelProperty("审核备注")
    @ExcelIgnore
    private String AUDIT_REMARK;
    //@ExcelProperty("打印次数")
    @ExcelIgnore
    private BigDecimal PRINT_TIMES;
    //@ExcelProperty("延迟原因")
    @ExcelIgnore
    private String DELAY_REASON;
    //@ExcelProperty("延迟备注")
    @ExcelIgnore
    private String DELAY_REMARK;

}
