/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.feesapi.wxgl.wechatbasicmgt.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.feesapi.wxgl.wechatbasicmgt.entity.WxUserLs;
import com.tofly.feesapi.wxgl.wechatbasicmgt.mapper.WxUserLsMapper;
import com.tofly.feesapi.wxgl.wechatbasicmgt.service.WxUserLsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 微信解绑记录
 *
 * @author sxb
 * @date Mon Jun 05 00:00:00 CST 2023
 */
@Service("wxCustomerHisService")
public class WxUserLsServiceImpl extends ServiceImpl<WxUserLsMapper, WxUserLs> implements WxUserLsService {
    @Autowired
    private WxUserLsMapper wxUserLsMapper;

    @Override
    public int SelectChargeMaxCode() {
        return wxUserLsMapper.SelectChargeMaxCode();
    }
}
