package com.tofly.feesapi.xtgl.entity;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 
 * </p>
 *
 * @author decai
 * @since 2024-03-04
 */
@Getter
@Setter
@ApiModel(value = "Syscommlog对象", description = "")
public class Syscommlog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ASSIGN_ID)
    private String id;

    @ApiModelProperty("操作表名")
    private String tablename;

    @ApiModelProperty("操作日志描述")
    private String mstext;

    @ApiModelProperty("添加时间")
    private String addate;

    @ApiModelProperty("操作人员ID")
    private String userid;

    @ApiModelProperty("备注说明")
    private String remark;

    @ApiModelProperty("操作类型Add MODIF SEARCH DELETE")
    private String optype;

    public static final String ID = "ID";

    public static final String TABLENAME = "TABLENAME";

    public static final String MSTEXT = "MSTEXT";

    public static final String ADDATE = "ADDATE";

    public static final String USERID = "USERID";

    public static final String REMARK = "REMARK";

    public static final String OPTYPE = "OPTYPE";
}
