/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.feesapi.yhgl.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 付费关系
 *
 * @author admin
 * @date Wed Feb 28 00:00:00 CST 2024
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="YH_FFGX",resultMap = "yhFfgxMap")
@KeySequence("YH_FFGX")
@ApiModel
public class YhFfgx extends Model<YhFfgx> {
    private static final long serialVersionUID = 1L;

        /**
     * 用户编号-主户
     */
            @ApiModelProperty(value = "用户编号-主户")
                private String yhbhZb;
                /**
     * 用户编号-分户
     */
            @ApiModelProperty(value = "用户编号-分户")
                private String yhbhFb;
                /**
     * 水表ID-主户
     */
            @ApiModelProperty(value = "水表ID-主户")
                private String cbkidZb;
                /**
     * 水表ID-分户
     */
            @ApiModelProperty(value = "水表ID-分户")
                private String cbkidFb;
                /**
     * 操作人员编码
     */
            @ApiModelProperty(value = "操作人员编码")
                private String czrybm;
                /**
     * 操作人员姓名
     */
            @ApiModelProperty(value = "操作人员姓名")
                private String czryxm;
                /**
     * 操作时间
     */
            @ApiModelProperty(value = "操作时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date czsj;
                /**
     * $column.comments
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "$column.comments")
                private String id;
            
}
