package com.tofly.feesapi.yhgl.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
@Getter
@Setter
@TableName("YH_KHJBXX")
@ApiModel(value = "YhKhjbxx对象", description = "用户基本信息")
public class YhkhjbxxExcel implements Serializable {
    @ColumnWidth(10)
    @ApiModelProperty(value = "序号")
    @ExcelProperty("序号")
    private String xh;

    @ColumnWidth(30)
    @ApiModelProperty(value = "用户编号")
    @ExcelProperty("用户编号")
    private String yhbh;

    @ColumnWidth(30)
    @ApiModelProperty(value = "用户姓名")
    @ExcelProperty("用户姓名")
    private String yhxm;

    @ColumnWidth(30)
    @ApiModelProperty(value = "用户地址")
    @ExcelProperty("用户地址")
    private String yhdz;

    @ColumnWidth(30)
    @ApiModelProperty(value = "联系电话")
    @ExcelProperty("联系电话")
    private String lxdh;

    @ColumnWidth(30)
    @ApiModelProperty(value = "证件号码")
    @ExcelProperty("证件号码")
    private String zjhm;

    @ColumnWidth(30)
    @ApiModelProperty(value = "申请日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ExcelProperty("申请日期")
    private String sqrq;

    @ColumnWidth(30)
    @ApiModelProperty(value = "水表编号")
    @ExcelProperty("水表编号")
    private String sbbh;

    @ColumnWidth(30)
    @ApiModelProperty(value = "水表口径")
    @ExcelProperty("水表口径")
    private String sbkj;



    @ColumnWidth(30)
    @ApiModelProperty(value = "出厂日期")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ExcelProperty("出厂日期")
    private String sbccrq;

    @ColumnWidth(30)
    @ApiModelProperty(value = "水表起数")
    @ExcelProperty("水表起数")
    private String sbqs;

}
