package com.tofly.feesapi.yhgl.entity.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

import java.time.LocalDate;

@Data
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(30)
public class YhkhjbxxTpl {
    @ColumnWidth(10)
    @ExcelProperty("序号")
    private String xh;

    @ColumnWidth(30)
    @ExcelProperty("用户编号")
    private String yhbh;

    @ColumnWidth(30)
    @ExcelProperty("用户姓名")
    private String yhxm;

    @ColumnWidth(30)
    @ExcelProperty("用户地址")
    private String yhdz;

    @ColumnWidth(30)
    @ExcelProperty("联系电话")
    private String lxdh;

    @ColumnWidth(30)
    @ExcelProperty("证件号码")
    private String zjhm;

    @ColumnWidth(30)
    @ExcelProperty("申请日期")
    @DateTimeFormat("yyyy-MM-dd")
    private LocalDate sqrq;

    @ColumnWidth(30)
    @ExcelProperty("水表编号")
    private String sbbh;

    @ColumnWidth(30)
    @ExcelProperty("水表口径")
    private String sbkj;

    @ColumnWidth(30)
    @ExcelProperty("出厂日期")
    @DateTimeFormat("yyyy-MM-dd")
    private LocalDate ccrq;

    @ColumnWidth(30)
    @ExcelProperty("水表起数")
    private String sbqs;
}
