package com.tofly.feesapi.yhgl.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;


/**
 * 用户档案
 *
 */
@Data
@ApiModel("用户档案查看DTO")
public class YhKhjbxxView {

    @ApiModelProperty(value = "用户编号", position = 1)
    private String yhbh;

    @ApiModelProperty(value = "所属公司", position = 2)
    private String ssgs;

    @ApiModelProperty(value = "所属抄表片区", position = 3)
    private String sscbpq;

    @ApiModelProperty(value = "所属抄表本", position = 4)
    private String sscbb;

    @ApiModelProperty(value = "申请日期", position = 5)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private LocalDate sqrq;

    @ApiModelProperty(value = "建档日期", position = 5)
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private LocalDate jdrq;

    @ApiModelProperty(value = "用户姓名",position = 6)
    private String yhxm;

    @ApiModelProperty(value = "用户地址", position = 7)
    private String yhdz;

    @ApiModelProperty(value = "联系电话", position = 8)
    private String lxdh;

    @ApiModelProperty(value = "性别（1男，2女，3未知）[sys_child_code,pcid='9']", position = 9)
    private String xb;

    @ApiModelProperty(value = "证件类别(sys_child_code,pcid='10')",position = 10)
    private String zjlb;

    @ApiModelProperty(value = "证件号码", position = 11)
    private String zjhm;

    @ApiModelProperty(value = "用户状态（0:申请用户,1:正式用户,2:报停用户,3:销户用户,4:作废用户）", position = 12)
    private String yhzt;

    @ApiModelProperty(value = "是否特困户（1是，0否）", position = 13)
    private String tkhbz;

    @ApiModelProperty(value = "发票类型 0普票1专票", position = 14)
    private String fplx;

    @ApiModelProperty(value = "是否取整", position = 15)
    private String sfqz;

    @ApiModelProperty(value = "发票开具纳税人识别号", position = 16)
    private String fpNsrsbh;

    @ApiModelProperty(value = "发票开具地址", position = 17)
    private String fpDz;

    @ApiModelProperty(value = "备注", position = 30)
    private String bz;

}
