package com.tofly.feesapi.yhgl.entity.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.tofly.feesapi.common.constant.YhztEnum;
import com.tofly.feesapi.common.Excel.EnumConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDate;


@Data
@ApiModel("用户档案列表VO")
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(30)
public class YhkhjbxxSelect {

    @ColumnWidth(20)
    //@ExcelProperty("所属公司")
    @ExcelIgnore
    @ApiModelProperty(value = "所属公司", position = 3)
    private String ssgsmc;

    @ColumnWidth(20)
    @ExcelProperty("所属片区")
    @ApiModelProperty(value = "所属片区", position = 4)
    private String sscbpqmc;

    @ColumnWidth(20)
    @ExcelProperty("所属表册")
    @ApiModelProperty(value = "所属抄表册", position = 5)
    private String sscbbmc;

    @ColumnWidth(20)
    @ExcelProperty("用户编号")
    @ApiModelProperty(value = "用户编号", position = 6)
    private String yhbh;

    @ColumnWidth(20)
    @ExcelProperty("原用户编号")
    @ApiModelProperty(value = "原用户编号", position = 7)
    private String ykhbh;

    @ColumnWidth(50)
    @ExcelProperty("用户姓名")
    @ApiModelProperty(value = "用户姓名", position = 8)
    private String yhxm;

    @ColumnWidth(50)
    @ExcelProperty("用户地址")
    @ApiModelProperty(value = "用户地址", position = 9)
    private String yhdz;

    @ColumnWidth(20)
    @ExcelProperty("联系电话")
    @ApiModelProperty(value = "联系电话", position = 10)
    private String lxdh;

    @ColumnWidth(20)
    @ExcelProperty("申请日期")
    @DateTimeFormat("yyyy-MM-dd")
    @ApiModelProperty(value = "申请日期", position = 11)
    private LocalDate sqrq;

    @ColumnWidth(20)
    @ExcelProperty("建档日期")
    @DateTimeFormat("yyyy-MM-dd")
    @ApiModelProperty(value = "建档日期", position = 12)
    private LocalDate jdrq;

    @ColumnWidth(20)
    @ExcelProperty("建档人员")
    @ApiModelProperty(value = "建档人员", position = 13)
    private String jdryxm;

    @ColumnWidth(20)
    @ExcelProperty(value = "用户状态", converter = EnumConverter.class)
    @ApiModelProperty(value = "用户状态", position = 14)
    private YhztEnum yhzt;

}
