package com.tofly.feesapi.yhgl.entity.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.tofly.feesapi.common.Excel.EnumConverter;
import com.tofly.feesapi.common.constant.YhztEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;


@Data
@ApiModel("用户档案列表2VO")
public class YhkhjbxxSelect2 {

    @ColumnWidth(20)
    @ExcelProperty("所属公司")
    @ApiModelProperty(value = "所属公司", position = 3)
    private String ssgsmc;

    @ColumnWidth(20)
    @ExcelProperty("所属片区")
    @ApiModelProperty(value = "所属片区", position = 4)
    private String sscbpqmc;

    @ColumnWidth(20)
    @ExcelProperty("所属抄表册")
    @ApiModelProperty(value = "所属抄表册", position = 5)
    private String sscbbmc;

    @ColumnWidth(20)
    @ExcelProperty("所属公司")
    @ExcelIgnore
    @ApiModelProperty(value = "所属公司", position = 3)
    private String ssgs;

    @ColumnWidth(20)
    @ExcelProperty("所属片区")
    @ExcelIgnore
    @ApiModelProperty(value = "所属片区", position = 4)
    private String sscbpq;

    @ColumnWidth(20)
    @ExcelProperty("所属抄表册")
    @ExcelIgnore
    @ApiModelProperty(value = "所属抄表册", position = 5)
    private String sscbb;

    @ColumnWidth(20)
    @ExcelProperty("用户编号")

    @ApiModelProperty(value = "用户编号", position = 6)
    private String yhbh;

    @ColumnWidth(20)
    @ExcelProperty("原用户编号")
    @ApiModelProperty(value = "原用户编号", position = 7)
    private String ykhbh;

    @ColumnWidth(20)
    @ExcelProperty("用户姓名")
    @ApiModelProperty(value = "用户姓名", position = 8)
    private String yhxm;

    @ColumnWidth(20)
    @ExcelProperty("用户地址")
    @ApiModelProperty(value = "用户地址", position = 9)
    private String yhdz;

    @ColumnWidth(20)
    @ExcelProperty("联系电话")
    @ApiModelProperty(value = "联系电话", position = 10)
    private String lxdh;

    @ColumnWidth(20)
    @ExcelProperty("性别")
    @ExcelIgnore
    @ApiModelProperty(value = "性别", position = 10)
    private String xb;

    @ColumnWidth(20)
    @ExcelProperty("手机")
    @ApiModelProperty(value = "手机", position = 10)
    private String sj;

    @ColumnWidth(20)
    @ExcelProperty("住宅电话")
    @ExcelIgnore
    @ApiModelProperty(value = "住宅电话", position = 10)
    private String zzdh;

    @ExcelIgnore
    @ApiModelProperty(value = "电子邮箱", position = 10)
    private String dzyx;

    @ExcelIgnore
    @ApiModelProperty(value = "证件类别", position = 9)
    private String zjlb;

    @ExcelIgnore
    @ApiModelProperty(value = "证件号码", position = 10)
    private String zjhm;

    @ColumnWidth(20)
    @ExcelProperty("申请日期")
    @ApiModelProperty(value = "申请日期", position = 11)
    private LocalDate sqrq;

    @ColumnWidth(20)
    @ExcelProperty("建档日期")
    @ApiModelProperty(value = "建档日期", position = 12)
    private LocalDate jdrq;

    @ColumnWidth(20)
    @ExcelProperty("建档人员")
    @ApiModelProperty(value = "建档人员", position = 13)
    private String jdryxm;

    @ExcelIgnore
    @ExcelProperty(value = "用户状态", converter = EnumConverter.class)
    @ApiModelProperty(value = "用户状态", position = 14)
    private YhztEnum yhzt;

    @ExcelIgnore
    @ApiModelProperty(value = "水表类别", position = 15)
    private String sblbmc;

    @ExcelIgnore
    @ApiModelProperty(value = "水表编号", position = 16)
    private String sbbh;

    @ExcelIgnore
    @ApiModelProperty(value = "抄表卡号", position = 17)
    private String cbkhList;

    @ExcelIgnore
    @ApiModelProperty(value = "抄表卡号ID", position = 18)
    private String cbkid;
    @ExcelIgnore
    @ApiModelProperty(value = "水表数量", position = 18)
    private int sbsl;

    @ExcelIgnore
    @ApiModelProperty(value = "上次读数", position = 18)
    private int scds;

    @ExcelIgnore
    @ApiModelProperty(value = "本次读数", position = 18)
    private int bcds;

    @ExcelIgnore
    @ApiModelProperty(value = "水价名称", position = 18)
    private String sjmc;

    @ExcelIgnore
    @ApiModelProperty(value = "预付金额", position = 100)
    private BigDecimal yfje;

    @ExcelIgnore
    @ApiModelProperty(value = "扣减金额", position = 101)
    private BigDecimal kjje;

    @ExcelIgnore
    @ApiModelProperty(value = "剩余金额", position = 102)
    private BigDecimal syje;

    @ExcelIgnore
    @ApiModelProperty(value = "智能表剩余金额", position = 103)
    private BigDecimal nbsyje;


}
