package com.tofly.feesapi.yhgl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.security.model.CzyUserDetails;
import com.tofly.feesapi.yhgl.entity.YyZjzh;
import com.tofly.feesapi.yhgl.entity.dto.YyZjzhUpdate;
import com.tofly.feesapi.yhgl.entity.vo.YyZjzhView;

import java.math.BigDecimal;

/**
 * <p>
 * 用户资金账号 服务类
 * </p>
 *
 * @author decai
 * @since 2024-03-11
 */
public interface IYyZjzhService extends IService<YyZjzh> {

    /**
     * 修改预存款余额
     * @param update
     * @param czyUserDetails 操作人
     * @return
     */
    boolean xgyck(YyZjzhUpdate update, CzyUserDetails czyUserDetails);

    /**
     * 修改预存款余额(含余额转存、预存款收取（实收）)
     *
     * @param update
     * @param czyUserDetails 操作人
     * @param ssbz           是否实收
     * @param fffs
     * @return
     */
    boolean xgyck(YyZjzhUpdate update, CzyUserDetails czyUserDetails, boolean ssbz, int sfxh, String fffs,String sflsbh);

    YyZjzh addOrUpdate(String yhbh, BigDecimal bcyfje);

    YyZjzhView get(String yhbh);

    void updateNbSyje(String yhbh, BigDecimal nbsyje);
}
