/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.feesapi.znbgl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.bjgl.entity.YhCbkxx;
import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.common.entity.vo.PageResult;
import com.tofly.feesapi.security.model.CzyUserDetails;
import com.tofly.feesapi.yhgl.entity.YhKhjbxx;
import com.tofly.feesapi.znbgl.entity.ZnbYhda;
import com.tofly.feesapi.znbgl.entity.dto.ZnbYhdaFilter;
import com.tofly.feesapi.znbgl.entity.vo.ZnbYhdaSelect;
import org.springframework.transaction.annotation.Transactional;

/**
 * 智能表用户档案
 *
 * @author sxb
 * @date Tue Apr 23 00:00:00 CST 2024
 */
public interface ZnbYhdaService extends IService<ZnbYhda> {

    PageResult<ZnbYhdaSelect> getPage(PageDto pageDto, ZnbYhdaFilter filter);

    boolean savaZnbYhda(YhKhjbxx yhKhjbxx, YhCbkxx yhCbkxx, CzyUserDetails czyUserDetails);

    @Transactional(rollbackFor = Exception.class) //声明式事务管理
    boolean savaZnbYhda(YhKhjbxx yhKhjbxx, YhCbkxx yhCbkxx, String jdlx, CzyUserDetails czyUserDetails);

    @Transactional(rollbackFor = Exception.class) //声明式事务管理
    boolean updateZnbYhda(YhKhjbxx yhKhjbxx, YhCbkxx yhCbkxx, String jdlx, CzyUserDetails czyUserDetails);
}
