/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.fees.codemgt.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 水表类别
 *
 * @author sxb
 * @date Thu May 18 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWYS_BM_METER_TYPE",resultMap = "bmMeterTypeMap")
@KeySequence("TF_YWYS_BM_METER_TYPE")
@ApiModel
public class BmMeterType extends Model<BmMeterType> {
    private static final long serialVersionUID = 1L;

        /**
     * $column.comments
     */
        @TableId(value = "CODE",type= IdType.INPUT)
            @ApiModelProperty(value = "$column.comments")
                private Integer code;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
                private String name;
                /**
     * 是否启用：0不启用，1启用
     */
            @ApiModelProperty(value = "是否启用：0不启用，1启用")
                private String isdisabled;
            
}
