/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.fees.codemgt.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 付费方式
 *
 * @author sxb
 * @date Thu May 18 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWYS_BM_PAY_MODE",resultMap = "bmPayModeMap")
@KeySequence("TF_YWYS_BM_PAY_MODE")
@ApiModel
public class BmPayMode extends Model<BmPayMode> {
    private static final long serialVersionUID = 1L;

        /**
     * 编码
     */
        @TableId(value = "CODE",type= IdType.INPUT)
            @ApiModelProperty(value = "编码")
                private Integer code;
                /**
     * 付费方式
     */
            @ApiModelProperty(value = "付费方式")
                private String name;
                /**
     * 是否启用：0不启用，1启用
     */
            @ApiModelProperty(value = "是否启用：0不启用，1启用")
                private String isdisabled;
                /**
     * customer是否启用：0不启用，1启用
     */
            @ApiModelProperty(value = "customer是否启用：0不启用，1启用")
                private String daIsdisabled;
                /**
     * 余额滚动标志（0=不参与滚动，1=参与滚动）
     */
            @ApiModelProperty(value = "余额滚动标志（0=不参与滚动，1=参与滚动）")
                private String yegdFlag;

    @ApiModelProperty(value = "操作人员")
    private String ocode;
    @ApiModelProperty(value = "操作人员名称")
    private String oname;
            
}
