/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.fees.feesmgt.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.fees.feesmgt.entity.SfCharge;
import com.tofly.fees.financialmgt.entity.SfRec;
import com.tofly.fees.userprofilemgt.entity.DaBtLog;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 实收明细：实收明细
 *
 * @author xb
 * @date Wed Jun 07 00:00:00 CST 2023
 */
@Repository
public interface SfChargeMapper extends BaseMapper<SfCharge> {

    //根据收费ID，查询数据
    List<SfCharge> selectSfmxChargeSerialNo(String chargeSerialNo);


    //根据用户编号查询用户缴费信息
    Page<Map<String,Object>>  selectYhbhSfData(Page<Map<String,Object>> page,String customerNo);
    Page<SfCharge> selectSfmxSearch(@Param("page") Page<SfCharge> page,String mrArea, String mrBook, String companyBranch, String YearMonth, String customerNo,String chargeOcode,String realPayMode,String chargeType,String chargeDate_Start,String chargeDate_End,String searchText,String cancelFlag);
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            }
