/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.fees.feesmgt.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.fees.feesmgt.entity.SfCusAcc;
import com.tofly.fees.feesmgt.service.SfCusAccService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.tofly.fees.feesmgt.mapper.SfCusAccMapper;

import java.util.HashMap;
import java.util.List;

/**
 * 客户资金账号
 *
 * @author xb
 * @date Wed Jun 07 00:00:00 CST 2023
 */
@Service("sfCusAccService")
public class SfCusAccServiceImpl extends ServiceImpl<SfCusAccMapper, SfCusAcc> implements SfCusAccService {


    @Autowired
    private   SfCusAccMapper  sfCusAccMapper;


    @Override
    public Page<List<HashMap<String, Object>>> selCusAcc(Page<HashMap<String, Object>> page,String orderField,String orderWay) {
        return sfCusAccMapper.selCusAcc(page,orderField,orderWay);
    }
}
