package com.tofly.fees.financialmgt.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 用水类型
 * </p>
 *
 * @author decai
 * @since 2023-05-18
 */
@Getter
@Setter
public class BmUwTypeModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用水类型编码")
    private String code;

    @ApiModelProperty("用水类型名称")
    private String name;

    @ApiModelProperty("违约金费率")
    private Double penalty;

    @ApiModelProperty("违约金收取方式")
    private String penaltycode;

    @ApiModelProperty("天数、日期")
    private Long penaltyDay;

    @ApiModelProperty("所属公司")
    private Long companyBranch;

    @ApiModelProperty("所属公司名称")
    private String companyName;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("操作人员")
    private String ocode;

    @ApiModelProperty("创建时间")
    private Date cdate;





}
