package com.tofly.fees.meterreadingmgt.controller_easy;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.fees.codemgt.entity.BmMrArea;
import com.tofly.fees.common.BaseController;
import com.tofly.fees.common.annotate.requestPostSingle.RequestPostSingleParam;
import com.tofly.fees.common.dbhelper.DbHelper;
import com.tofly.fees.common.dbhelper.ProduceSql;
import com.tofly.fees.common.model.PageLink;
import com.tofly.fees.common.util.DateUtils;
import com.tofly.fees.common.util.ToolsUtils;
import com.tofly.fees.feesmgt.entity.SfCharge;
import com.tofly.fees.feesmgt.entity.SfCusAcc;
import com.tofly.fees.feesmgt.service.SfCusAccService;
import com.tofly.fees.meterprofilemgt.entity.DaMeter;
import com.tofly.fees.userprofilemgt.entity.DaCustomer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import org.apache.commons.lang.StringUtils;
import org.apache.ibatis.annotations.Options;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;

@RestController
@AllArgsConstructor
@RequestMapping("/Test")
@Api(tags = "TestController")
public class TestController extends BaseController {

   private  final SfCusAccService sfCusAccService;

    @ToFlyAppLog(title = "测试接口")
    @ApiOperation(value = "测试接口")
    @PostMapping("/saveName3")
    @Transactional
    public ResultRespone saveName3(@ApiParam(value = "用户姓名", required = true)
                                   @RequestParam String name,
                                   @ApiParam(value = "用户编号", required = true)
                                   @RequestParam String no) throws Exception {

//        DbHelper db = DbHelper.getDbHelper();
//        int row = db.executeCmd("update tf_ywys_da_customer set customer_name='" + name + "' where customer_no='" + no + "'");
//        String msg = "修改成功";
//        if (!(row > 0)) {
//            msg = "修改失败";
//        }

        SfCusAcc sf=new SfCusAcc();
        sf.setCustomerNo("31008225");
        sf.setPrestoreAmount(0.0);
        sf.setDeductAmount(0.0);
        sf.setBalanceAmount(0.0);
        sf.setNbBalanceAmount(0.0);

        boolean isupdate=sfCusAccService.updateById(sf);

        throw new RuntimeException();


        //  throw new RuntimeException();

      //return ResultRespone.success(true, "");
    }
    @ToFlyAppLog(title = "查询测试接口4")
    @ApiOperation(value = "查询测试接口4")
    @GetMapping("/getList")
    public ResultRespone searchModel(@ApiParam(value = "用户姓名", required = true)
                                   @RequestParam String name    ,
                                   @ApiParam(value = "用户编号", required = true)
                                   @RequestParam String no) throws Exception {

        DbHelper db = DbHelper.getDbHelper();
        PageLink pg = createPageLink(15, 1);

        Object obj = db.getPage(pg, "select * from tf_ywys_da_meter", "mybatis");
        return ResultRespone.success(obj);
    }

    @ToFlyAppLog(title = "测试MAP接口")
    @ApiOperation(value = "测试MAP接口")
    @PostMapping("/test4")
    //public ResultRespone getValue(@RequestBody Map<String, Object> map) {
    public ResultRespone getValue(@ApiParam(value = "JSON对象", required = true)
                                   @RequestParam HashMap<String,Object> objs, @RequestParam("file")MultipartFile[] file) {
        try {
//            JSONObject jsObj=new JSONObject(objs);
//            System.out.println("---------");
//            System.out.println(jsObj.getJSONObject("objs").getString("name"));

            BmMrArea bm=new BmMrArea();
            bm.setCode(new BigDecimal("123"));
            bm.setName("速度非常");

          String insertSql=ProduceSql.getInsertSql("BmMrArea",bm);
          return  ResultRespone.success(true,insertSql);

        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }


    @ApiOperation(value = "传入")
    @PostMapping("/importTest")
    public ResultRespone getValues(@RequestParam(value = "file",required = false) MultipartFile file,@RequestParam String a ) {
        try {
            return ResultRespone.success(file.getOriginalFilename());
        }catch (Exception ex){
            return ResultRespone.success(ex.getMessage().toString());
        }
    }

    @ApiOperation(value = "测试")
    @PostMapping("/importTest2")
    public ResultRespone getValues(@RequestPostSingleParam String    a,@RequestPostSingleParam String b) {

        return  ResultRespone.success(a);
    }


}

