/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.fees.meterreadingmgt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 抄表频率
 *
 * @author hdc
 * @date Mon May 29 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWYS_BM_MR_FREQUENCY", resultMap = "bmMrFrequencyMap")
@KeySequence("TF_YWYS_BM_MR_FREQUENCY")
@ApiModel
public class BmMrFrequency extends Model<BmMrFrequency> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "CODE", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private String code;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private String name;

}
