package com.tofly.fees.meterreadingmgt.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.fees.meterreadingmgt.entity.BwMeterReadPlan;
import com.tofly.fees.userprofilemgt.entity.DaCustomerSelect;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.apache.poi.hpsf.Decimal;

import java.math.BigDecimal;

//@TableName(value="TF_YWYS_BW_METER_READ_PLAN",resultMap = "daCustomerMap")
//@KeySequence("TF_YWYS_BW_METER_READ_PLAN")
@Getter
@Setter
public class BwMeterReadPlanModel extends Model<BwMeterReadPlanModel> {


    @TableId(value = "CUSTOMER_NO",type= IdType.INPUT)
    @ApiModelProperty(value = "客户编号")
    private String customerNo;
    @ApiModelProperty(value = "用户姓名")
    private String customerName;
    @ApiModelProperty(value = "用户地址")
    private String customerAddr;
    @ApiModelProperty(value = "联系电话")
    private  String mobile;
    @ApiModelProperty(value = "上次读数")
    private Integer lastReading;
    @ApiModelProperty(value = "本次读数")
    private  Integer thisReading;
    @ApiModelProperty(value = "加减量")
    private  Integer JJL;
    @ApiModelProperty(value = "抄表类型")
    private BigDecimal mrType;
    @ApiModelProperty(value = "抄表方式")
    private  Integer mrMode;
    @ApiModelProperty(value = "抄表状态")
    private BigDecimal mrFlag;
    @ApiModelProperty(value = "计费状态")
    private  Integer calState;
}
