package com.tofly.fees.reportmgt.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(30)
public class SfRecMonth {

    @ColumnWidth(10)
    @ExcelProperty("用水项目")
    @ApiModelProperty(value = "用水项目")
    private String priceCode;
    @ColumnWidth(10)
    @ExcelProperty("应收水量")
    @ApiModelProperty(value = "应收水量")
    private String recQuantity;
    @ColumnWidth(10)
    @ExcelProperty("应收水费")
    @ApiModelProperty(value = "应收水费")
    private String recFeeAmount;
    @ColumnWidth(10)
    @ExcelProperty("应收污水费")
    @ApiModelProperty(value = "应收污水费")
    private String recSewageFee;
    @ColumnWidth(10)
    @ExcelProperty("应收垃圾费")
    @ApiModelProperty(value = "应收垃圾费")
    private String recGarbageFee;
    @ColumnWidth(10)
    @ExcelProperty("应收其它费")
    @ApiModelProperty(value = "应收其它费")
    private String recOther;
    @ColumnWidth(10)
    @ExcelProperty("应收金额")
    @ApiModelProperty(value = "应收金额")
    private String recAmount;
}
