/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.fees.userprofilemgt.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.fees.userprofilemgt.entity.DaBtLog;
import com.tofly.fees.userprofilemgt.entity.DaCustomerSelect;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

/**
 * 用户报停记录
 *
 * @author sxb
 * @date Tue May 23 00:00:00 CST 2023
 */
@Repository
public interface DaBtLogMapper extends BaseMapper<DaBtLog> {
    //报停自定义分页
    int selectMaxId();
    Page<DaBtLog> selectDaCustomerBtPage(@Param("page") Page<DaBtLog> page, String  companyBranch,String mrArea,String mrBook,String operatorDateStart,String operatorDateEnd,String searchText);

    //查询导出
    List<DaBtLog> selectDaCustomerBtPage(String  companyBranch,String mrArea,String mrBook,String operatorDateStart,String operatorDateEnd,String searchText);
                                                            }
