/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.fees.userprofilemgt.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.fees.userprofilemgt.entity.DaBtLog;
import com.tofly.fees.userprofilemgt.entity.DahLog;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;


import java.util.List;
/**
 * 用户销户记录
 *
 * @author sxb
 * @date Tue May 23 00:00:00 CST 2023
 */
@Repository
public interface DahLogMapper extends BaseMapper<DahLog> {
    Page<DahLog> SelectDaxhPage(@Param("page") Page<DaBtLog> page, String  companyBranch, String mrArea, String mrBook, String operatorDateStart, String operatorDateEnd, String searchText);

    List<DahLog> SelectDaxhPage(String  companyBranch, String mrArea, String mrBook, String operatorDateStart, String operatorDateEnd, String searchText);
                                                        }
