/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.fees.userprofilemgt.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.fees.userprofilemgt.entity.DaCustomer;
import io.micrometer.core.instrument.search.Search;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;

/**
 * 用户基本信息
 *
 * @author sxb
 * @date Tue May 23 00:00:00 CST 2023
 */
public interface DaCustomerService extends IService<DaCustomer> {
    HashMap<String,Object> selCustomerAcc(String customerNo);


    Page<List<HashMap<String, Object>>> selCusPriceInfo(Page<HashMap<String, Object>> page,@Param("searchText")String SearchText,@Param("mrArea") String mrArea,@Param("mrBook") String mrBook);
}
