/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.fees.userprofilemgt.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.fees.userprofilemgt.entity.DaCustomer;
import com.tofly.fees.userprofilemgt.service.DaCustomerService;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.tofly.fees.userprofilemgt.mapper.DaCustomerMapper;

import java.util.HashMap;
import java.util.List;

/**
 * 用户基本信息
 *
 * @author sxb
 * @date Tue May 23 00:00:00 CST 2023
 */
@Service("daCustomerService")
public class DaCustomerServiceImpl extends ServiceImpl<DaCustomerMapper, DaCustomer> implements DaCustomerService {
    @Autowired
    private  DaCustomerMapper daCustomerMapper;
  public HashMap<String,Object> selCustomerAcc(String customerNo){
      return  daCustomerMapper.selDaCustomerAcc(customerNo);
  }

    @Override
    public Page<List<HashMap<String, Object>>> selCusPriceInfo(Page<HashMap<String, Object>> page,String searchText,String mrArea, String mrBook) {
        return daCustomerMapper.selCusPriceInfo(page,searchText,mrArea,mrBook);
    }


}
