/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.fees.wechatbasicmgt.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.fees.userprofilemgt.entity.DaCustomerSelect;
import com.tofly.fees.wechatbasicmgt.entity.WxTsNotice;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * 微信推送停水通知
 *
 * @author sxb
 * @date Mon Jun 05 00:00:00 CST 2023
 */
@Repository  //持久化
public interface WxTsNoticeMapper extends BaseMapper<WxTsNotice> {
   int SelectChargeMaxCode();

    //自定义分页查询
    Page<WxTsNotice> selectWxTsNoticePage(@Param("page") Page<WxTsNotice> page, String searchText,String state,String editDateStart,String editDateEnd);
}
