/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.fees.wechatbasicmgt.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.fees.wechatbasicmgt.entity.WxCustomerHis;
import com.tofly.fees.wechatbasicmgt.service.WxCustomerHisService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.tofly.fees.wechatbasicmgt.mapper.WxCustomerHisMapper;

/**
 * 微信解绑记录
 *
 * @author sxb
 * @date Mon Jun 05 00:00:00 CST 2023
 */
@Service("wxCustomerHisService")
public class WxCustomerHisServiceImpl extends ServiceImpl<WxCustomerHisMapper, WxCustomerHis> implements WxCustomerHisService {
    @Autowired
    private WxCustomerHisMapper wxCustomerHisMapper;
    @Override
    public int SelectChargeMaxCode() {
       return wxCustomerHisMapper.SelectChargeMaxCode();
    }
}
