/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.fees.wechatofficalacctmgt.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
 * 网点
 *
 * @author sxb
 * @date Mon Jun 05 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWYS_WX_WD",resultMap = "wxWdMap")
@KeySequence("TF_YWYS_WX_WD")
@ApiModel
public class WxWd extends Model<WxWd> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键")
                private Integer id;
                /**
     * 名称
     */
            @ApiModelProperty(value = "名称")
                private Integer wdName;


             @TableField(exist = false) //数据排除字段
             @ApiModelProperty(value = "名称ID")
               private String wdNames;
                /**
     * 地址
     */
            @ApiModelProperty(value = "地址")
                private String wdAddress;
                /**
     * 电话
     */
            @ApiModelProperty(value = "电话")
                private String wdPhone;
                /**
     * 工作时间
     */
            @ApiModelProperty(value = "工作时间")
                private String wdWorktime;
                /**
     * y坐标
     */
            @ApiModelProperty(value = "y坐标")
                private String wdSy;
                /**
     * x坐标
     */
            @ApiModelProperty(value = "x坐标")
                private String wdSx;
                /**
     * 抄表时间
     */
            @ApiModelProperty(value = "抄表时间")
                private String wdReadDate;
                /**
     * 缴费时间
     */
            @ApiModelProperty(value = "缴费时间")
                private String wdChargeDate;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
                private String shownum;
            
}
