/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.fees.wechatofficalacctmgt.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;



/**
 * 网点编码
 *
 * @author sxb
 * @date Mon Jun 05 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWYS_WX_WD_CODE",resultMap = "wxWdCodeMap")
@KeySequence("TF_YWYS_WX_WD_CODE")
@ApiModel
public class WxWdCode extends Model<WxWdCode> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键")
                private Integer id;
                /**
     * 网点
     */
            @ApiModelProperty(value = "网点")
                private String name;
                /**
     * $column.comments
     */
            @ApiModelProperty(value = "$column.comments")
                private String shownum;
            
}
