package com.tofly.feesapi.bjgl.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@TableName(value="YK_HB_LOG",resultMap = "ykHbLogMap")
@KeySequence("YK_HB_LOG")
@ApiModel
public class YkHblogExcel {

    @ColumnWidth(20)
    @ExcelProperty("用户编号")
    @ApiModelProperty(value = "用户编号")
    private String yhbh;

    @ColumnWidth(20)
    @ExcelProperty("原用户编号")
    @ApiModelProperty(value = "原用户编号")
    private String ykhbh;

    @ColumnWidth(30)
    @ExcelProperty("用户姓名")
    @ApiModelProperty(value = "用户姓名")
    private String yhxm;

    @ColumnWidth(30)
    @ExcelProperty("用户地址")
    @ApiModelProperty(value = "用户地址")
    private String yhdz;

    @ColumnWidth(30)
    @ExcelProperty("联系电话")
    @ApiModelProperty(value = "联系电话")
    private String lxdh;

    @ColumnWidth(30)
    @ExcelProperty("原表厂家")
    @ApiModelProperty(value = "原表厂家")
    private String lodSbcj;

    @ColumnWidth(30)
    @ExcelProperty("原表口径")
    @ApiModelProperty(value = "原表口径")
    private String lodSbkj;

    @ColumnWidth(30)
    @ExcelProperty("原表型")
    @ApiModelProperty(value = "原表型")
    private String lodSbxh;

    @ColumnWidth(30)
    @ExcelProperty("原表读数")
    @ApiModelProperty(value = "原表读数")
    private String lodSbds;

    @ColumnWidth(30)
    @ExcelProperty("原机械表用水量")
    @ApiModelProperty(value = "原机械表用水量")
    private String lodJxbysl;

    @ColumnWidth(30)
    @ExcelProperty("新表厂家")
    @ApiModelProperty(value = "新表厂家")
    private String newSbcj;

    @ColumnWidth(30)
    @ExcelProperty("新表型")
    @ApiModelProperty(value = "新表型")
    private String newSbxh;

    @ColumnWidth(30)
    @ExcelProperty("新表口径")
    @ApiModelProperty(value = "新表口径")
    private String newSbkj;

    @ColumnWidth(30)
    @ExcelProperty("新表读数")
    @ApiModelProperty(value = "新表读数")
    private String newSbds;

    @ColumnWidth(30)
    @ExcelProperty("抄表员")
    @ApiModelProperty(value = "抄表员")
    private String lrry;

    @ColumnWidth(30)
    @ExcelProperty("备注")
    @ApiModelProperty(value = "备注")
    private String bz;

    @ColumnWidth(30)
    @ExcelProperty("操作人员")
    @ApiModelProperty(value = "操作人员")
    private String hbry;

    @ColumnWidth(30)
    @ExcelProperty("换表时间")
    @ApiModelProperty(value = "换表时间")
    private String hbrq;

}
