package com.tofly.feesapi.bmgl.controller;

import com.tofly.common.core.entity.ResultRespone;
import com.tofly.feesapi.bmgl.entity.BmGs;
import com.tofly.feesapi.bmgl.service.IBmGsService;
import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.common.entity.vo.PageResult;
import com.tofly.feesapi.yhgl.entity.dto.YhkhjbxxFilter;
import com.tofly.feesapi.yhgl.entity.vo.YhkhjbxxSelect;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.ModelAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 公司档案 前端控制器
 * </p>
 *
 * @author decai
 * @since 2024-01-10
 */
//@RestController
//@RequestMapping("/api/bmgl/bmGs")
@AllArgsConstructor
//@Api(tags="公司档案")
public class BmGsController {

    private final IBmGsService bmGsService;

    @GetMapping("")
    @ApiOperation(value = "查询全部")
    public ResultRespone<List<BmGs>> getAll() {
        return ResultRespone.success(bmGsService.list());
    }

}
