package com.tofly.feesapi.bmgl.controller.common;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.ibatis.type.JdbcType;

/**
 * @author lihaoli
 * @date 2024/6/4
 */
@Data
public class bmscyzselectVo {
    //水表档案
    @ApiModelProperty("水表类别(bm_sblb)")
    private String sblb;

    @ApiModelProperty("水表生产厂家(bm_sbsccj)")
    private String sbsccj;

    @ApiModelProperty("水表型号(bm_sbxh)")
    private String sbxh;

    @ApiModelProperty("水表口径(sys_child_code,pcid='12')")
    private String sbkj;

    @ApiModelProperty("水表量程(sys_child_code,pcid='13')")
    private String sblc;

    @ApiModelProperty("表计位置(sys_child_code,pcid='15')")
    private String bjwz;

    @ApiModelProperty("精度等级(sys_child_code,pcid='14')")
    private String jddj;

    @ApiModelProperty("水价编码")
    @TableField(updateStrategy = FieldStrategy.IGNORED, jdbcType = JdbcType.VARCHAR)
    private String sjbm;

    @ApiModelProperty("水价编码1")
    @TableField(updateStrategy = FieldStrategy.IGNORED, jdbcType = JdbcType.VARCHAR)
    private String sjbm1;

    @ApiModelProperty("水价编码2")
    @TableField(updateStrategy = FieldStrategy.IGNORED, jdbcType = JdbcType.VARCHAR)
    private String sjbm2;

    @ApiModelProperty("水价编码3")
    @TableField(updateStrategy = FieldStrategy.IGNORED, jdbcType = JdbcType.VARCHAR)
    private String sjbm3;

    //用户档案
    @ApiModelProperty("所属公司")
    @TableField(updateStrategy = FieldStrategy.IGNORED, jdbcType = JdbcType.VARCHAR)
    private String ssgs;

    @ApiModelProperty("所属抄表片区")
    @TableField(updateStrategy = FieldStrategy.IGNORED, jdbcType = JdbcType.VARCHAR)
    private String sscbpq;

    @ApiModelProperty("所属抄表本")
    @TableField(updateStrategy = FieldStrategy.IGNORED, jdbcType = JdbcType.VARCHAR)
    private String sscbb;

    @ApiModelProperty("性别（1男，2女，3未知）[sys_child_code,pcid='9']")
    private String xb;

    @ApiModelProperty("证件类别(sys_child_code,pcid='10')")
    private String zjlb;

    @ApiModelProperty("信用等级（sys_child_code,pcid='20'）")
    private String xydj;

    @ApiModelProperty("发票类型;0普票，1 专票，2 手册，3 未知")
    private String fplx;

    @ApiModelProperty("收费方式")
    private String fffs;
}
