package com.tofly.feesapi.bmgl.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 费用类型
 * </p>
 *
 * @author decai
 * @since 2024-03-07
 */
@Getter
@Setter
@TableName("BM_FYLX")
@ApiModel(value = "BmFylx对象", description = "费用类型")
public class BmFylx implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("编码")
    @TableId(type = IdType.INPUT)
    private String code;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("是否启用：0不启用，1启用")
    private String isdisabled;

    public static final String CODE = "CODE";

    public static final String NAME = "NAME";

    public static final String ISDISABLED = "ISDISABLED";
}
