package com.tofly.feesapi.bmgl.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 公司档案
 * </p>
 *
 * @author decai
 * @since 2024-01-10
 */
@Getter
@Setter
@TableName("BM_GS")
@ApiModel(value = "BmGs对象", description = "公司档案")
public class BmGs implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("公司编码")
    @TableId(type = IdType.INPUT)
    private String bm;

    @ApiModelProperty("公司名称")
    private String mc;

    @ApiModelProperty("公司地址")
    private String dz;

    @ApiModelProperty("电话")
    private String dh;

    @ApiModelProperty("传真")
    private String cz;

    @ApiModelProperty("发票标题")
    private String fpbt;

    @ApiModelProperty("抢修电话")
    private String phoneqx;

    @ApiModelProperty("投诉电话")
    private String phonets;

    @ApiModelProperty("咨询电话")
    private String phonezx;

    @ApiModelProperty("父类")
    private String parent;

    private String sfpz;

    private Short cs;

    @ApiModelProperty("集团公司")
    private String jtgs;

    @ApiModelProperty("操作时间")
    private Date cjsj;

    @ApiModelProperty("修改人员")
    private String xgry;

    @ApiModelProperty("修改时间")
    private Date xgsj;

    @ApiModelProperty("操作人员")
    private String cjry;

    @ApiModelProperty("有效标志：0无效，1有效")
    private String yxbz;

    private String fpdzdh;

    private String fpkhh;

    private String fpnsrsbh;

    public static final String BM = "BM";

    public static final String MC = "MC";

    public static final String DZ = "DZ";

    public static final String DH = "DH";

    public static final String CZ = "CZ";

    public static final String FPBT = "FPBT";

    public static final String PHONEQX = "PHONEQX";

    public static final String PHONETS = "PHONETS";

    public static final String PHONEZX = "PHONEZX";

    public static final String PARENT = "PARENT";

    public static final String SFPZ = "SFPZ";

    public static final String CS = "CS";

    public static final String JTGS = "JTGS";

    public static final String CJSJ = "CJSJ";

    public static final String XGRY = "XGRY";

    public static final String XGSJ = "XGSJ";

    public static final String CJRY = "CJRY";

    public static final String YXBZ = "YXBZ";

    public static final String FPDZDH = "FPDZDH";

    public static final String FPKHH = "FPKHH";

    public static final String FPNSRSBH = "FPNSRSBH";
}
