/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.feesapi.bmgl.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 条件检索编码
 *
 * @author sxb
 * @date Tue Aug 08 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="BM_SEARCH",resultMap = "bmSearchMap")
@KeySequence("BM_SEARCH")
@ApiModel
public class BmSearch extends Model<BmSearch> {
    private static final long serialVersionUID = 1L;

        /**
     * 检索编码
     */
        @TableId(value = "CODE",type= IdType.INPUT)
            @ApiModelProperty(value = "检索编码")
                private String code;
                /**
     * 检索名称
     */
            @ApiModelProperty(value = "检索名称")
                private String name;
                /**
     * 检索序号
     */
            @ApiModelProperty(value = "检索序号")
                private Long xh;
                /**
     * 检索符合
     */
            @ApiModelProperty(value = "检索符合")
                private String fh;
            
}
