package com.tofly.feesapi.bmgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("抄表本(册)查询参数DTO")
public class BmCbbFilter {

    @ApiModelProperty(value = "抄表本(册)编码(模糊查询)", example = "1", position = 2)
    private String cbbbm;

    @ApiModelProperty(value = "抄表本(册)名称(模糊查询)", example = "黎安村", position = 3)
    private String cbbmc;

    @ApiModelProperty(value = "所属公司编码", example = "1", position = 4)
    private String ssgs;

    @ApiModelProperty(value = "所属抄表片区编码", example = "1", position = 5)
    private String sscbpq;

    @ApiModelProperty(value = "关键字(模糊查询)", example = "黎安", position = 6)
    private String searchText;
}
