package com.tofly.feesapi.bmgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("抄表片区查询参数DTO")
public class BmCbpqFilter {

    @ApiModelProperty(value = "片区编码", example = "1", position = 2)
    private String cbpqbm;

    @ApiModelProperty(value = "片区名称(模糊查询)", example = "黎安", position = 3)
    private String cbpqmc;


    @ApiModelProperty(value = "所属公司编码", example = "1", position = 4)
    private String ssgs;

    @ApiModelProperty(value = "关键字(模糊查询)", example = "黎安", position = 5)
    private String searchText;

}
