package com.tofly.feesapi.bmgl.entity.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.Date;

@Getter
@Setter
@ApiModel("抄表片区查询列表VO")
public class BmCbpqSelect {

    @ApiModelProperty(value = "抄表片区编码", position = 5)
    private String cbpqbm;

    @ApiModelProperty(value = "抄表片区名称", position = 6)
    private String cbpqmc;

    @ApiModelProperty(value = "所属公司", position = 7)
    private String ssgs;

    @ApiModelProperty(value = "备注", position = 8)
    private String bz;

    @ApiModelProperty(value = "创建时间", position = 9)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cdate;

    @ApiModelProperty(value = "修改时间", position = 10)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date xdate;

    @ApiModelProperty(value = "修改人员编码", position = 11)
    private String xgry;

    @ApiModelProperty(value = "修改人员名称", position = 12)
    private String xgrymc;
}

