package com.tofly.feesapi.bmgl.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@ApiModel(value = "用水类型列表VO", description = "用水类型")
public class BmYslxSelect implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编码
     */
    @ApiModelProperty(value = "编码")
    private BigDecimal code;

    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;

    /**
     * 违约金费率
     */
    @ApiModelProperty(value = "违约金费率")
    private BigDecimal znj;

    /**
     * 违约金收取方式
     */
    @ApiModelProperty(value = "违约金收取方式")
    private String znjbm;

    /**
     * 违约金收取方式名称
     */
    @ApiModelProperty(value = "违约金收取方式名称")
    private String znjname;

    /**
     * 天数、日期
     */
    @ApiModelProperty(value = "天数、日期")
    private Integer znjday;

    /**
     * 所属公司编码
     */
    @ApiModelProperty(value = "所属公司编码")
    private String ssgs;

    /**
     * 所属公司名称
     */
    @ApiModelProperty(value = "所属公司名称")
    private String ssgsmc;

    /**
     * 备注说明
     */
    @ApiModelProperty(value = "备注说明")
    private String bz;

    /**
     * 操作人员
     */
    @ApiModelProperty(value = "操作人员")
    private String czry;

    /**
     * 操作时间
     */
    @ApiModelProperty(value = "操作时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date czsj;
}

