package com.tofly.feesapi.bmgl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.feesapi.bmgl.entity.BmSj;
import com.tofly.feesapi.bmgl.entity.dto.BmSjFilter;
import com.tofly.feesapi.bmgl.entity.dto.BmSjSelectDto;
import com.tofly.feesapi.common.entity.dto.PageDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface BmSjMapper extends BaseMapper<BmSj> {
    Integer selectMaxId();

    PageDto<BmSjSelectDto> getPage(PageDto page, @Param("filter") BmSjFilter filter);

    List<BmSjSelectDto> getList(@Param("filter")  BmSjFilter filter);
    List<Map<String,Object>> selectListMap();

}
