package com.tofly.feesapi.bmgl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.bmgl.entity.BmSj;
import com.tofly.feesapi.bmgl.entity.dto.BmSjFilter;
import com.tofly.feesapi.bmgl.entity.dto.BmSjInsert;
import com.tofly.feesapi.bmgl.entity.dto.BmSjUpdate;
import com.tofly.feesapi.bmgl.entity.vo.BmSjSelect;
import com.tofly.feesapi.bmgl.entity.vo.BmSjView;
import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.common.entity.vo.PageResult;
import com.tofly.feesapi.security.model.CzyUserDetails;

import java.util.List;

/**
 * 水价编码
 *
 */
public interface BmSjService extends IService<BmSj> {

    BmSjView getViewById(String code);

    boolean update(BmSjUpdate update, CzyUserDetails czyUserDetails);

    boolean delById(String code, CzyUserDetails czyUserDetails);

    boolean delByIds(List<String> codes, CzyUserDetails czyUserDetails);

    boolean save(BmSjInsert insert, CzyUserDetails czyUserDetails);

    PageResult<BmSjSelect> getPage(PageDto pageDto, BmSjFilter filter);
    List<BmSjSelect> getList(BmSjFilter filter);

    List<BmSjSelect> getList();
}
