package com.tofly.feesapi.bmgl.service;

import com.tofly.feesapi.bmgl.entity.BmSj;
import com.tofly.feesapi.bmgl.entity.BmSjls;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.bmgl.entity.vo.BmSjlsSelect;
import com.tofly.feesapi.bmgl.entity.vo.BmSjlsView;
import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.common.entity.vo.PageResult;
import com.tofly.feesapi.security.model.CzyUserDetails;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author decai
 * @since 2024-02-01
 */
public interface IBmSjlsService extends IService<BmSjls> {

    void save(BmSj bmSj, CzyUserDetails czyUserDetails);

    PageResult<BmSjlsSelect> getPage(PageDto pageDto, @Param("code") String code);

    BmSjlsView getViewById(String id);
}
