package com.tofly.feesapi.cbgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
@ApiModel("抄表异常明细查询参数DTO")
public class YyCbycmxFilter {


    @ApiModelProperty(value = "所属公司编码", position = 2)
    private String ssgs;

    @ApiModelProperty(value = "所属抄表片区编码", position = 3)
    private String sscbpq;

    @ApiModelProperty(value = "所属抄表本(册)编码", position = 4)
    private String sscbb;

    @ApiModelProperty(value = "抄表类型编码", position = 5)
    private String cblx;

    @ApiModelProperty(value = "抄表人员编码", position = 8)
    private String cbrybm;

    @ApiModelProperty(value = "财务日期", position = 9, required = true, example = "202401")
    private String cwrq;

    @ApiModelProperty(value = "关键字(用户编号、用户姓名、用户地址)", position = 20)
    private String searchText;

    @ApiModelProperty(value = "与前3次平均量对比±超过?%", position = 22, required = true, example = "50")
    private BigDecimal bfb;

    @ApiModelProperty(value = "增加量", position = 23, example = "100")
    private BigDecimal zjl;
    @ApiModelProperty(value = "是否方量相等", position = 24, example = "true")
    private boolean flxl;
    @ApiModelProperty(value = "是否方量为0", position = 25, example = "true")
    private boolean flw0;

}
