package com.tofly.feesapi.cbgl.entity.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


@Data
@ApiModel("抄表异常明细列表VO")
public class YyCbycmxSelect {



    @ColumnWidth(20)
    @ExcelProperty("用户编号")
    @ApiModelProperty(value = "用户编号", position = 1)
    private String yhbh;

    @ColumnWidth(20)
    @ExcelProperty("用户姓名")
    @ApiModelProperty(value = "用户姓名", position = 2)
    private String yhxm;

    @ColumnWidth(20)
    @ExcelProperty("用户地址")
    @ApiModelProperty(value = "用户地址", position = 3)
    private String yhdz;

    @ColumnWidth(20)
    @ExcelProperty("所属片区")
    @ApiModelProperty(value = "抄表片区名称", position = 4)
    private String sscbpqmc;

    @ColumnWidth(20)
    @ExcelProperty("所属表册")
    @ApiModelProperty(value = "抄表本（册）名称", position = 5)
    private String sscbbmc;

    @ColumnWidth(20)
    @ExcelProperty("水表止度")
    @ApiModelProperty(value = "水表止度", position = 6)
    private BigDecimal bcds;

    @ColumnWidth(20)
    @ExcelProperty("抄表类型")
    @ApiModelProperty(value = "抄表类型", position = 7)
    private String cblxmc;

    @ColumnWidth(20)
    @ExcelProperty("当期水量")
    @ApiModelProperty(value = "当期水量", position = 10)
    private BigDecimal sl;

    @ColumnWidth(20)
    @ExcelProperty("上次水量")
    @ApiModelProperty(value = "上次水量", position = 11)
    private BigDecimal scsl1;

    @ColumnWidth(20)
    @ExcelProperty({"前3次水量", "上上次水量"})
    @ApiModelProperty(value = "上上次水量", position = 12)
    private BigDecimal scsl2;

    @ColumnWidth(20)
    @ExcelProperty({"前3次水量", "上上次水量"})
    @ApiModelProperty(value = "上上次水量", position = 13)
    private BigDecimal scsl3;

    @ColumnWidth(20)
    @ExcelProperty({"前3次水量", "平均量"})
    @ApiModelProperty(value = "前3次水量平均量", position = 13)
    private BigDecimal avgsl;

}
