package com.tofly.feesapi.cbgl.mapper;

import com.tofly.feesapi.cbgl.entity.ZnbCbDay;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.feesapi.cbgl.entity.dto.ZnbCbDayFilter;
import com.tofly.feesapi.cbgl.entity.vo.ZnbCbDaySelect;
import com.tofly.feesapi.common.entity.dto.PageDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 智能表每天抄表明细数据 Mapper 接口
 * </p>
 *
 * @author decai
 * @since 2024-02-28
 */
public interface ZnbCbDayMapper extends BaseMapper<ZnbCbDay> {

    PageDto<ZnbCbDaySelect> getPage(PageDto pageDto, @Param("filter") ZnbCbDayFilter filter);

    List<ZnbCbDaySelect> getList(@Param("filter") ZnbCbDayFilter filter);
}
