package com.tofly.feesapi.cbgl.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.feesapi.cbgl.entity.ZnbCbLog;
import com.tofly.feesapi.cbgl.entity.dto.ZnbCbLogFilter;
import com.tofly.feesapi.cbgl.entity.vo.ZnbCbLogSelect;
import com.tofly.feesapi.common.entity.dto.PageDto;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 智能表抄表明细 Mapper 接口
 * </p>
 *
 * @author decai
 * @since 2024-04-08
 */
public interface ZnbCbLogMapper extends BaseMapper<ZnbCbLog> {

    PageDto<ZnbCbLogSelect> getPage(PageDto pageDto, @Param("filter") ZnbCbLogFilter filter);

    List<ZnbCbLogSelect> getList(@Param("filter") ZnbCbLogFilter filter);

    BigDecimal getLjl(@Param("yhbh") String yhbh,
                      @Param("startTime") LocalDateTime startTime,
                      @Param("endTime") LocalDateTime endTime);
}
