package com.tofly.feesapi.cbgl.service.impl;

import com.tofly.feesapi.cbgl.entity.ZnbCbDay;
import com.tofly.feesapi.cbgl.entity.dto.ZnbCbDayFilter;
import com.tofly.feesapi.cbgl.entity.vo.YyCblrSelect;
import com.tofly.feesapi.cbgl.entity.vo.ZnbCbDaySelect;
import com.tofly.feesapi.cbgl.mapper.ZnbCbDayMapper;
import com.tofly.feesapi.cbgl.service.IZnbCbDayService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.common.entity.vo.PageResult;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 智能表每天抄表明细数据 服务实现类
 * </p>
 *
 * @author decai
 * @since 2024-02-28
 */
@Service
public class ZnbCbDayServiceImpl extends ServiceImpl<ZnbCbDayMapper, ZnbCbDay> implements IZnbCbDayService {

    @Override
    public PageResult<ZnbCbDaySelect> getPage(PageDto pageDto, ZnbCbDayFilter filter) {
        PageDto<ZnbCbDaySelect> page = this.baseMapper.getPage(pageDto, filter);
        return page.toVo();
    }

    @Override
    public List<ZnbCbDaySelect> getList(ZnbCbDayFilter filter) {
        return this.baseMapper.getList(filter);
    }
}
