/**
 * Copyright © 2016-2022 The Thingsboard Authors
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.tofly.feesapi.common;

public class ControllerConstants {

    public static final String NEW_LINE = "\n\n";
    public static final String PAGE_SIZE_DESCRIPTION = "每页最大数据大小";
    public static final String PAGE_NUMBER_DESCRIPTION = "第几页，从1开始";
    public static final String SORT_PROPERTY_DESCRIPTION = "排序的属性";
    public static final String SORT_ORDER_DESCRIPTION = "顺序，正序/倒序";
    public static final String SORT_ORDER_ALLOWABLE_VALUES = "ASC, DESC";

    public static final String BMPRICE_SORT_PROPERTY_ALLOWABLE_VALUES = "xxxx";
    public static final String SQL_FILE_DESCRIPTION = "执行的SQL文件";

    public static final String OPERATION_DESCRIPTION = "执行操作";
    public static final String OPERATION_PROPERTY_ALLOWABLE_VALUES = "queryList,queryPage,cmd";

    public static final String PAGE_SIZE_PARA_NAME = "size";
    public static final String PAGE_NUMBER_PARA_NAME = "current";

    public  static  final  String Mapper_Redis_Prix="mapper_redis_";

}
