package com.tofly.feesapi.common.constant;

import com.baomidou.mybatisplus.annotation.IEnum;
import lombok.Getter;

/**
 * 阀门状态
 */
@Getter
public enum FmztEnum implements IEnum<String> {
    关阀("0", "关阀"),
    处理中("1", "处理中"),
    开阀("2", "开阀");

    FmztEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    private String value;
    private String desc;

    @Override
    public String getValue() {
        return this.value;
    }
}