package com.tofly.feesapi.common.constant;

public interface SecurityConstants {
    String FROM_IN = "Y";
    String FROM = "from";
    String ROLE = "ROLE_";
    String BCRYPT = "{bcrypt}";
    String PROJECT_PREFIX = "tofly_";
    String OAUTH_PREFIX = "oauth:";
    String RSOURCE_ID = "tofly";
    String CLIENT_DETAILS_KEY = "tofly_oauth:client:details";
    String CLIENT_FIELDS = "client_id, CONCAT('{noop}',client_secret) as client_secret, resource_ids, scope, authorized_grant_types, web_server_redirect_uri, authorities, access_token_validity, refresh_token_validity, additional_information, autoapprove";
    String BASE_FIND_STATEMENT = "select client_id, CONCAT('{noop}',client_secret) as client_secret, resource_ids, scope, authorized_grant_types, web_server_redirect_uri, authorities, access_token_validity, refresh_token_validity, additional_information, autoapprove from TF_SMPN_OAUTHCLIENTDETAILS_X";
    String DEFAULT_SELECT_STATEMENT = "select client_id, CONCAT('{noop}',client_secret) as client_secret, resource_ids, scope, authorized_grant_types, web_server_redirect_uri, authorities, access_token_validity, refresh_token_validity, additional_information, autoapprove from TF_SMPN_OAUTHCLIENTDETAILS_X where client_id = ?";
    String DEFAULT_FIND_STATEMENT = "select client_id, CONCAT('{noop}',client_secret) as client_secret, resource_ids, scope, authorized_grant_types, web_server_redirect_uri, authorities, access_token_validity, refresh_token_validity, additional_information, autoapprove from TF_SMPN_OAUTHCLIENTDETAILS_X order by client_id";
    String DETAILS_USER_ID = "id";
    String DETAILS_USERNAME = "username";
    String DETAILS_DEPT_ID = "departmentId";
    String DETAILS_USER_LEVEL = "userLevel";
    String DETAILS_DEPT_NAME = "departmentName";
    String DETAILS_REAL_NAME = "realName";
    String DETAILS_USER_AVATAR = "avatar";
    String PARENT_COMPANY_ID = "parentCompanyId";
    String PARENT_COMPANY_NAME = "parentCompanyName";
    String COMPANY_ID = "companyId";
    String COMPANY_NAME = "companyName";
    String PROJECT_LICENSE = "tofly java";
    String DETAILS_LICENSE = "license";
    String APP_CONFIGURER = "toflyResourceServerConfiguration";
    String OAUTH_TOKEN_URL = "/oauth/token";
    String OAUTH_LOGIN_URL = "/oauth/login";
    String REDIS_LOGIN_LOCK = "loginLockNew";
    Long REDIS_LOCK_TIME = 20000L;
}
