package com.tofly.feesapi.common.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@ApiModel("排序参数DTO")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class Order {

    @ApiModelProperty(value = "排序字段列，示例值(a.id)", position = 2)
    private String column;

    @ApiModelProperty(value = "是否正序排列，默认true", position = 3)
    private boolean asc = true;

}