package com.tofly.feesapi.common.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.util.List;

@Data
@AllArgsConstructor
@ApiModel("分页结果")
public class PageResult<T> {

    @ApiModelProperty(value = "总记录数")
    private long total = 0;

    @ApiModelProperty(value = "记录")
    private List<T> records;


}
