package com.tofly.feesapi.common.util;

import com.tofly.feesapi.common.mapper.CommonMapper;
import com.tofly.feesapi.common.model.SystemUserInfo;

/**
 * 系统相关公用方法
 *
 * @author shudong
 */
public class SystemUtils {

    private static CommonMapper commonMapper = SpringContextHolder.getBean("commonMapper");

    /**
     * 通过用户ID查询用户信息
     *
     * @param userId 用户ID
     * @return 用户信息
     */
    public static SystemUserInfo getUserInfo(String userId) {
        return commonMapper.getUserInfoByUserId(userId);
    }
}
