package com.tofly.feesapi.common.wechat;

public class UserListJsonResult {

    /// <summary>
    /// 关注该公众账号的总用户数
    /// </summary>
    public int total;

    /// <summary>
    /// 拉取的OPENID个数，最大值为10000
    /// </summary>
    public int count;

    /// <summary>
    /// 列表数据，OPENID的列表
    /// </summary>
    public OpenIdListData data ;

    /// <summary>
    /// 拉取列表的后一个用户的OPENID
    /// </summary>
    public String next_openid ;
}
