package com.tofly.feesapi.security;

import com.tofly.feesapi.security.model.CzyUserDetails;
import lombok.AllArgsConstructor;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.userdetails.UserDetails;
import org.springframework.security.core.userdetails.UserDetailsService;
import org.springframework.security.core.userdetails.UsernameNotFoundException;
import org.springframework.security.crypto.password.PasswordEncoder;

import java.util.LinkedHashSet;
import java.util.Set;

@AllArgsConstructor
public class CzyUserDetailsService implements UserDetailsService {

    private final PasswordEncoder passwordEncoder;

    //TODO 简单实现，待接入实际数据库
    @Override
    public UserDetails loadUserByUsername(String username) throws UsernameNotFoundException {
        Set<GrantedAuthority> authorities = new LinkedHashSet<>();
        String encodePassword = passwordEncoder.encode(username);
        return new CzyUserDetails(1L, username, "", encodePassword, authorities, true,true, true, true);
    }
}
