package com.tofly.feesapi.sfgl.entity.dto;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 水价明细
 */
@Data
public class Sjmx {


    private Jtmx jtmx;
    private Jtmx jtmx1;
    private Jtmx jtmx2;
    private Jtmx jtmx3;
    private Jtmx jtmx4;

    private BigDecimal yssl;
    private BigDecimal yssf;

    public Sjmx(BigDecimal sj, BigDecimal sl, BigDecimal sf) {
        this.jtmx = new Jtmx(sj, sl, sf);
        this.yssf = sf;
        this.yssl = sl;
    }

    public Sjmx(Jtmx jtmx1, Jtmx jtmx2, Jtmx jtmx3, Jtmx jtmx4, BigDecimal yssl, BigDecimal yssf) {
        this.jtmx1 = jtmx1;
        this.jtmx2 = jtmx2;
        this.jtmx3 = jtmx3;
        this.jtmx4 = jtmx4;
        this.yssl = yssl;
        this.yssf = yssf;
    }

    /**
     * 阶梯明细
     */
    @Data
    public static class Jtmx {

        private BigDecimal sj;//水价
        private BigDecimal sl;//水量
        private BigDecimal sf;//水费

        public Jtmx(BigDecimal sj, BigDecimal sl, BigDecimal sf) {
            this.sj = sj;
            this.sl = sl;
            this.sf = sf;
        }

    }


}
