package com.tofly.feesapi.sfgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel(value = "附加及代收费_付费方式统计DTO", description = "")
@Data
public class YyFjFffsStat {

    @ApiModelProperty(value = "付费方式", position = 1)
    private String fffs = "1";

    @ApiModelProperty(value = "预交污水费", position = 3)
    private BigDecimal yswsf = BigDecimal.ZERO;

    @ApiModelProperty(value = "垃圾费", position = 4)
    private BigDecimal ysljf = BigDecimal.ZERO;

    @ApiModelProperty(value = "违约金", position = 5)
    private BigDecimal wyj = BigDecimal.ZERO;

    @ApiModelProperty(value = "充值(旧)", position = 6)
    private BigDecimal cz = BigDecimal.ZERO;

    @ApiModelProperty(value = "工本费", position = 7)
    private BigDecimal gbf = BigDecimal.ZERO;

    @ApiModelProperty(value = "预交水费", position = 8)
    private BigDecimal yjsf = BigDecimal.ZERO;

    @ApiModelProperty(value = "冲预交水费(-)", position = 9)
    private BigDecimal cyjsf = BigDecimal.ZERO;

    @ApiModelProperty(value = "预付退费(-)", position = 10)
    private BigDecimal yftf = BigDecimal.ZERO;

    @ApiModelProperty(value = "水费补差(+)", position = 11)
    private BigDecimal sfbc1 = BigDecimal.ZERO;

    @ApiModelProperty(value = "水费补差(-)", position = 12)
    private BigDecimal sfbc2 = BigDecimal.ZERO;
}
