package com.tofly.feesapi.sfgl.entity.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.tofly.feesapi.common.MoneySerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


@Data
@ApiModel("水价统计列表DTO")
public class YySjStat {

    /**
     * 水价编码
     */
    @ApiModelProperty(value = "水价编码")
    private String sjbm;
    /**
     * 水量
     */
    @ApiModelProperty(value = "水量")
    private BigDecimal sl;
    /**
     * 水费
     */
    @ApiModelProperty(value = "水费")
    private BigDecimal sf;
    /**
     * 污水费
     */
    @ApiModelProperty(value = "污水费")
    private BigDecimal wsf;
    /**
     * 垃圾费
     */
    @ApiModelProperty(value = "垃圾费")
    private BigDecimal ljf;

    /**
     * 滞纳金
     */
    @ApiModelProperty(value = "滞纳金")
    private BigDecimal znj;


}
