package com.tofly.feesapi.sfgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;


@Data
@ApiModel("收费明细添加DTO")
public class YySspjxxInsert {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户编号", position = 1, required = true)
    private String yhbh;

    @ApiModelProperty(value = "欠费明细ID，不传代表预存", position = 3)
    private List<String> qfids;

    @ApiModelProperty(value = "付费方式编码，默认1", position = 5)
    private String fffs = "1";

    @ApiModelProperty(value = "实收总金额:本次实际收取的金额",position = 4, required = true)
    private BigDecimal sszje = BigDecimal.ZERO;


}
