package com.tofly.feesapi.sfgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

@Data
@ApiModel("收费明细统计查询参数DTO")
public class YySspjxxStatFilter {

    @ApiModelProperty("用户编号")
    private String yhbh;

    @ApiModelProperty("水表类别(类型)编码")
    private String sblb;

    @ApiModelProperty("水价编码")
    private String sjbm;

    @ApiModelProperty("所属抄表片区")
    private String sscbpq;

    @ApiModelProperty("收费开始日期(yyyy-MM-dd HH:mm:ss)")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime sfrqStart;

    @ApiModelProperty("收费截止日期(yyyy-MM-dd HH:mm:ss)")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime sfrqEnd;

    @ApiModelProperty("收费人员编码")
    private String sfrybm;

    @ApiModelProperty(value = "付费方式编码")
    private String fffs;

    @ApiModelProperty(value = "缴费渠道：01 营业大厅， 02 第三方代收费")
    private String jfqd;

}
