package com.tofly.feesapi.sfgl.entity.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.tofly.feesapi.common.constant.FmztEnum;
import com.tofly.feesapi.common.constant.TbbzEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author lihaoli
 * @date 2024/4/28
 */
@Getter
@Setter
@ApiModel(value = "智能表统计水量")
public class ZnbCsjsSelect {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户编号", position = 1)
    private String yhbh;

    @ApiModelProperty(value = "用户姓名", position = 2)
    private String yhxm;

    @ApiModelProperty(value = "用户地址", position = 3, example = "13-1-8（29号）")
    private String yhdz;

    @ApiModelProperty(value = "所属抄表册名称", position = 4)
    private String sscbbmc;

    @ApiModelProperty(value = "所属抄表片区名称", position = 5)
    private String sscbpqmc;

    @ApiModelProperty(value = "联系电话", position = 6)
    private String lxdh;

    @ApiModelProperty(value = "水表编号", position = 7)
    private String sbbh;

    @ApiModelProperty(value = "抄表卡ID", position = 8)
    private String cbkid;

    @ApiModelProperty(value = "月用水量", position = 9)
    private String yysl;
}
