package com.tofly.feesapi.task;

import com.tofly.feesapi.bjgl.service.YhCbkxxService;
import com.tofly.feesapi.cbgl.service.YyCblrService;
import com.tofly.feesapi.sfgl.service.YyQfmxService;
import com.tofly.feesapi.xtgl.service.ISysGdcsbService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 * 算费任务
 */
@Component
public class SfTask {

    @Autowired
    private YyQfmxService qfmxService;

    @Autowired
    private ISysGdcsbService gdcsbService;

    @Autowired
    private YyCblrService cblrService;

    @Autowired
    private YhCbkxxService cbkxxService;

    //@Scheduled(cron = "${sf.cron_expression:0 0 0 ? * ?}")
    //@Scheduled(cron = "${sf.cron_expression:0 0/1 * * * ?}")
    public void task() {
        qfmxService.sf();
    }

    /**
     * 生成归档参数
     *  0 0 0 * * ?
     */
    @Scheduled(cron = "${gd.cron_expression:-}")
    public void gdcsTask() {
        boolean scgdcs = gdcsbService.scgdcs();
    }

    /**
     * 生成抄表录入记录
     *  0 0 0 1 * ?
     */
    @Scheduled(cron = "${sccblr.cron_expression:-}")
    public void sccblrTask() {
        cblrService.sccblr();
    }


    /**
     * 抄表月末结转
     *  0 0 0 1 * ?
     */
    @Scheduled(cron = "${cbymjz.cron_expression:-}")
    public void cbymjzTask() {
        cblrService.cbymjz();
    }
}
