/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.feesapi.wxgl.wechatbasicmgt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


/**
 * 微信token
 *
 * @author admin
 * @date Tue Jul 04 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "WX_TOKEN", resultMap = "wxTokenMap")
@KeySequence("WX_TOKEN")
@ApiModel
public class WxToken extends Model<WxToken> {
    private static final long serialVersionUID = 1L;

    /**
     * $column.comments
     */
    @TableId(value = "APPID", type = IdType.INPUT)
    @ApiModelProperty(value = "$column.comments")
    private String appid;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    private String accessToken;
    /**
     * $column.comments
     */
    @ApiModelProperty(value = "$column.comments")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date expiresdate;

}
