package com.tofly.feesapi.yhgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;


/**
 * 用户档案
 */
@Data
@ApiModel("用户资金账号更新DTO")
public class YyZjzhUpdate {

    @ApiModelProperty(value = "用户编号", required = true, position = 1, example = "62552032")
    private String yhbh;

    @ApiModelProperty(value = "金额", position = 10, example = "5")
    private BigDecimal je;

    @ApiModelProperty(value = "备注", position = 30, example = "备注")
    private String bz;


}
