/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.feesapi.yhgl.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.security.model.CzyUserDetails;
import com.tofly.feesapi.bjgl.entity.vo.YhCbkxxSelect;
import com.tofly.feesapi.common.entity.dto.PageDto;
import com.tofly.feesapi.common.entity.vo.PageResult;
import com.tofly.feesapi.yhgl.entity.YhKhjbxx;
import com.tofly.feesapi.yhgl.entity.dto.YhKhjbxxInsert;
import com.tofly.feesapi.yhgl.entity.dto.YhKhjbxxSscbbUpdate;
import com.tofly.feesapi.yhgl.entity.dto.YhKhjbxxUpdate;
import com.tofly.feesapi.yhgl.entity.vo.YhKhjbxxView;
import com.tofly.feesapi.yhgl.entity.vo.YhkhjbxxSelect;
import com.tofly.feesapi.yhgl.entity.dto.YhkhjbxxFilter;
import com.tofly.feesapi.yhgl.entity.vo.YhkhjbxxSelect2;
import com.tofly.feesapi.znbgl.entity.dto.ZnbYhdaFilter;
import com.tofly.feesapi.znbgl.entity.vo.ZnbYhdaSelect;

import java.util.List;

/**
 * 用户基本信息
 *
 * @author sxb
 * @date Tue Aug 08 00:00:00 CST 2023
 */
public interface YhKhjbxxService extends IService<YhKhjbxx> {

    PageResult<YhkhjbxxSelect> getPage(PageDto pageDto, YhkhjbxxFilter query);

    PageResult<ZnbYhdaSelect> getZnbDaPage(PageDto pageDto, ZnbYhdaFilter query);

    List<YhkhjbxxSelect> getList(YhkhjbxxFilter filter);

    String getYhbh(String cbpqbm);

    boolean save(YhKhjbxxInsert insert, CzyUserDetails czyUserDetails);

    boolean update(YhKhjbxxUpdate update, CzyUserDetails czyUserDetails);

    YhKhjbxxView getViewById(String yhbh);

    void batchSave(List<YhKhjbxxInsert> userList, CzyUserDetails czyUserDetails);

    List<YhCbkxxSelect> getCbkxxById(String yhbh);

    boolean disable(String yhbh, CzyUserDetails czyUserDetails);

    boolean enable(String yhbh, CzyUserDetails czyUserDetails);

    boolean delById(String yhbh, CzyUserDetails czyUserDetails);

    boolean delByIds(List<String> asList, CzyUserDetails czyUserDetails);

    boolean updateSscbb(YhKhjbxxSscbbUpdate update, CzyUserDetails czyUserDetails);

    PageResult<YhkhjbxxSelect2> getPage2(PageDto pageDto, YhkhjbxxFilter filter);

    List<YhKhjbxx> getListByYhbh(List<String> yhbhs);

    //更新当前月累计量
    void updateDjyLjl(String yhbh);

    //更新当前年累计量
    void updateDjnLjl(String yhbh);
}
