package com.tofly.feesapi.znbgl.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lihaoli
 * @date 2024/4/24
 */
@Data
@ApiModel("智能表档案查询参数DTO")
public class ZnbYhdaFilter {
    @ApiModelProperty(value = "关键字(用户编号、用户姓名、用户地址、联系电话)")
    private String searchText;

    @ApiModelProperty(value = "所属公司编码")
    private String ssgs;

    @ApiModelProperty(value = "所属抄表片区编码")
    private String sscbpq;

    @ApiModelProperty("所属抄表本(册)编码")
    private String sscbb;
}
