/*
 * Author: tfMaker
 * 生成entity
 */
package com.tofly.fees.codemgt.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

//编码_变更类型
//@author tfMaker
//@date 2023-06-15 15:54:19

@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWYS_BM_BGLX", resultMap = "bmBglxMap")
@KeySequence("TF_YWYS_BM_BGLX")
@ApiModel
public class BmBglx extends Model<BmBglx> {
    private static final long serialVersionUID = 1L;

    //
    @TableId(value = "CODE", type = IdType.INPUT)
    @ApiModelProperty(value = "")
    private Long code;

    //
    @ApiModelProperty(value = "")
    private String name;

    //业务类型（未建编码表，使用全名称）
    @ApiModelProperty(value = "业务类型（未建编码表，使用全名称）")
    private String btype;

    //业务表
    @ApiModelProperty(value = "业务表")
    private String btable;

    //字段名
    @ApiModelProperty(value = "字段名")
    private String bkey;

    //是否启用：0不启用，1启用
    @ApiModelProperty(value = "是否启用：0不启用，1启用")
    private String isdisabled;

    //排序号
    @ApiModelProperty(value = "排序号")
    private Long orderNo;

}
