/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.fees.codemgt.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 通用码表父级节点名称
 *
 * @author sxb
 * @date Tue May 30 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_YWYS_SYS_PARENT_CODE", resultMap = "sysParentCodeMap")
@KeySequence("TF_YWYS_SYS_PARENT_CODE")
@ApiModel
public class SysParentCode extends Model<SysParentCode> {
    private static final long serialVersionUID = 1L;

    /**
     * 主键编号
     */
    @TableId(value = "PCID", type = IdType.INPUT)
    @ApiModelProperty(value = "主键编号")
    private Integer pcid;
    /**
     * 码表名称
     */
    @ApiModelProperty(value = "码表名称")
    private String pcname;

}
