/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.fees.codemgt.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.fees.codemgt.entity.SysChildCode;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * 子集编码表
 *
 * @author sxb
 * @date Thu May 18 00:00:00 CST 2023
 */
@Repository //增加--标识持久层注解
public interface SysChildCodeMapper extends BaseMapper<SysChildCode> {

    Map<String,Object> SelectChargeMaxCode();
    //自定义父级编码表列表查询
    List<Map<String,Object>> selectListMapParentCode();
    //自定义子及编码表列表查询
    List<Map<String,Object>> selectListMapChildCode(String pcId);
                            }
