/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.fees.codemgt.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.fees.codemgt.entity.SysParentCode;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.math.BigDecimal;

import java.util.List;
import java.util.Map;

/**
 * 通用码表父级节点名称
 *
 * @author sxb
 * @date Tue May 30 00:00:00 CST 2023
 */
@Repository //增加--标识持久层注解
public interface SysParentCodeMapper extends BaseMapper<SysParentCode> {
        Map<String,Object> SelectChargeMaxCode();

        Map<String,Object>   SelectChildCount(Integer pcid);
        }
