package com.tofly.fees.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

public enum CertTypeEnum {
    IdentityCard(1,"身份证"),
    OfficerLicense(2,"军官证"),
    StudentIDCard(3,"学生证"),
    OtherDocuments(4,"其他证件");
    @EnumValue //将注解所标识的属性的值存储到数据库中
    private Integer code;
    private String codeName;

    //创建构造器
    CertTypeEnum(Integer code,String codeName)
    {
        this.code=code;
        this .codeName=codeName;
    }
}
