package com.tofly.fees.common.enums;


import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;

//用户状态枚举
@Getter
public enum UserStatusEnum {
    //用户状态（0:申请用户,1:正式用户,2:报停用户,3:销户用户,4:作废用户）
    ApplyUser(0,"申请用户"),
    OfficialUser(1,"正式用户"),
    StopUser(2,"报停用户"),
    CloseUser(3,"销户用户"),
    VoidUser(4,"作废用户");
    @EnumValue //将注解所标识的属性的值存储到数据库中
    private Integer statusUser;
    private String statusName;
    //创建构造器
    UserStatusEnum(Integer statusUser,String statusName)
    {
        this.statusUser=statusUser;
        this .statusName=statusName;
    }
}
