package com.tofly.fees.common.model;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.tofly.fees.meterreadingmgt.entity.BwMeterReadPlan;
import lombok.Data;

import java.io.Serializable;

/**
 * 系统用户信息实体类（与UDB库中的TF_SMPN_USER_X关联）
 *
 * @author shudong
 */
@Data
public class SystemUserInfo {
    /**
     * 主键ID
     */
    private Integer id;
    /**
     * 登录账号
     */
    private String username;
    /**
     * 联系电话
     */
    private String phone;
    /**
     * 头像图片路径
     */
    private String avatar;
    /**
     * 部门ID
     */
    private Integer departmentId;
    /**
     * 真实姓名
     */
    private String realName;
}
