
package com.tofly.fees.financialmgt.mapper;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.fees.financialmgt.entity.SfRec;
import com.tofly.fees.userprofilemgt.entity.DaCustomerSelect;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

/**
 * 应收明细：欠费明细
 *
 * @author sxb
 * @date Fri Jun 16 00:00:00 CST 2023
 */
@Repository
public interface SfRecMapper extends BaseMapper<SfRec> {

    //根据用户编号查询欠费信息
   Page<Map<String, Object>>  selectYhbhQfmx(Page<Map<String,Object>> page,String customerNo);

    //判断用户是否存在欠费
    Map<String,Object> SelectricCount(String customerNo);
    Page<SfRec> SelectQfmxPage(@Param("page") Page<DaCustomerSelect> page, String searchText, String mr_area, String mr_book,String companyBranch,String billYearMonth,String id,String customerNo,String isBc,String chargeFlag);

    List<SfRec> SelectQfmxPage(String searchText, String mr_area, String mr_book,String companyBranch,String billYearMonth,String id ,String customerNo,String isBc,String chargeFlag);
}
