package com.tofly.fees.financialmgt.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 水价编码历史记录
 * </p>
 *
 * @author decai
 * @since 2023-05-18
 */
@Getter
@Setter
public class BmPriceHisModel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private String id;

    @ApiModelProperty("水价名称")
    private String name;

    @ApiModelProperty("修改时间")
    private Date operatorDate;

    @ApiModelProperty("阶梯标志（1是，0否）")
    private String tieredFlag;

}
