package com.tofly.fees.financialmgt.service;

import com.tofly.fees.common.exception.FeesException;
import com.tofly.fees.common.model.CollectionData;
import com.tofly.fees.financialmgt.entity.BmPriceHisEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.fees.financialmgt.model.BmPriceHisModel;

/**
 * <p>
 * 水价编码历史记录 服务类
 * </p>
 *
 * @author decai
 * @since 2023-05-30
 */
public interface IBmPriceHisService extends IService<BmPriceHisEntity> {

    boolean store(BmPriceHisEntity hisEntity, String username) throws FeesException;

    CollectionData<BmPriceHisModel> getHis(String code) throws FeesException;
}
