package com.tofly.fees.financialmgt.service;

import com.tofly.fees.common.exception.FeesException;
import com.tofly.fees.common.model.CollectionData;
import com.tofly.fees.common.model.PageLink;
import com.tofly.fees.financialmgt.entity.BmPriceEntity;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.fees.financialmgt.model.*;

import java.util.Set;

/**
 * <p>
 * 水价编码 服务类
 * </p>
 *
 * @author decai
 * @since 2023-05-18
 */
public interface IBmPriceService extends IService<BmPriceEntity> {
    CollectionData<BmPriceModel> pageList(Long companyBranch, String name, PageLink pageLink) throws FeesException;

    boolean add(BmPriceAddForm form, String username) throws FeesException;

    boolean update(BmPriceUpdateForm form, String username) throws FeesException;

    boolean delete(Set<String> codes, String username) throws FeesException;

    BmPriceDetailModel get(String code) throws FeesException;

    CollectionData<BmPriceModel> getList();
}
