package com.tofly.fees.reportmgt.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
@ContentRowHeight(20)
@HeadRowHeight(20)
@ColumnWidth(30)
public class SfRecSelect {

    @ColumnWidth(20)
    @ExcelProperty("用户编号")
    @ApiModelProperty(value = "用户编号")
    private String customerNo;
    @ColumnWidth(20)
    @ExcelProperty("用户姓名")
    @ApiModelProperty(value = "用户姓名")
    private String customerName;
    @ColumnWidth(30)
    @ExcelProperty("用户地址")
    @ApiModelProperty(value = "用户地址")
    private String customerAddress;
    @ColumnWidth(20)
    @ExcelProperty("联系电话")
    @ApiModelProperty(value = "联系电话")
    private String customerPhone;
    @ColumnWidth(10)
    @ExcelProperty("上次读数")
    @ApiModelProperty(value = "上次读数")
    private String lastReading;
    @ColumnWidth(10)
    @ExcelProperty("本次读数")
    @ApiModelProperty(value = "本次读数")
    private String thisReading;
    @ColumnWidth(10)
    @ExcelProperty("应收水量")
    @ApiModelProperty(value = "应收水量")
    private String recQuantity;
    @ColumnWidth(10)
    @ExcelProperty("应收水费")
    @ApiModelProperty(value = "应收水费")
    private String recFeeAmount;
    @ColumnWidth(10)
    @ExcelProperty("应收污水费")
    @ApiModelProperty(value = "应收污水费")
    private String recSewageFee;
    @ColumnWidth(10)
    @ExcelProperty("应收垃圾费")
    @ApiModelProperty(value = "应收垃圾费")
    private String recGarbageFee;
    @ColumnWidth(10)
    @ExcelProperty("应收其它费")
    @ApiModelProperty(value = "应收其它费")
    private String recOther;
    @ColumnWidth(10)
    @ExcelProperty("应收金额")
    @ApiModelProperty(value = "应收金额")
    private String recAmount;
    @ColumnWidth(10)
    @ExcelProperty("抄表日期")
    @ApiModelProperty(value = "抄表日期")
    private String inputDate;
    @ColumnWidth(10)
    @ExcelProperty("抄表人员")
    @ApiModelProperty(value = "抄表人员")
    private String inputOname;
}
