/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.fees.userprofilemgt.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 付费关系
 *
 * @author admin
 * @date Thu Jul 06 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWYS_DA_CUSTOMER_FFGX",resultMap = "daCustomerFfgxMap")
@KeySequence("TF_YWYS_DA_CUSTOMER_FFGX")
@ApiModel
public class DaCustomerFfgx extends Model<DaCustomerFfgx> {
    private static final long serialVersionUID = 1L;

        /**
     * 主键
     */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键")
                private String id;
                /**
     * 用户编号-主户
     */
            @ApiModelProperty(value = "用户编号-主户")
                private String customerNoZb;
                /**
     * 用户编号-分户
     */
            @ApiModelProperty(value = "用户编号-分户")
                private String customerNoFb;
                /**
     * 水表ID-主户
     */
            @ApiModelProperty(value = "水表ID-主户")
                private String meterCardIdZb;
                /**
     * 水表ID-分户
     */
            @ApiModelProperty(value = "水表ID-分户")
                private String meterCardIdFb;
                /**
     * 操作人员编码
     */
            @ApiModelProperty(value = "操作人员编码")
                private String operatorCode;
                /**
     * 操作人员姓名
     */
            @ApiModelProperty(value = "操作人员姓名")
                private String operatorName;
                /**
     * 操作时间
     */
            @ApiModelProperty(value = "操作时间")
        @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
                private Date operatorDatetime;
            
}
