/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.fees.userprofilemgt.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.fees.userprofilemgt.entity.DaBtLog;
import com.tofly.fees.userprofilemgt.entity.DaGhLog;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;


import java.util.List;
/**
 * 用户过户日志
 *
 * @author sxb
 * @date Tue May 23 00:00:00 CST 2023
 */
@Repository
public interface DaGhLogMapper extends BaseMapper<DaGhLog> {

    //过户自定义分页
    Page<DaGhLog> selectDaCustomerGhPage(@Param("page") Page<DaGhLog> page, String  companyBranch, String mrArea, String mrBook, String operatorDateStart, String operatorDateEnd, String searchText);

    //过户导出自定义
    List<DaGhLog> selectDaCustomerGhPage(String  companyBranch, String mrArea, String mrBook, String operatorDateStart, String operatorDateEnd, String searchText);
}
