/*
 * Author: wangjian
 * 生成entity
 */
package com.tofly.fees.wechatbasicmgt.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
import java.util.stream.Collectors;


/**
 * 动态编码
 *
 * @author xb
 * @date Wed May 31 00:00:00 CST 2023
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value="TF_YWYS_WX_DTBM",resultMap = "wxDtbmMap")
@KeySequence("TF_YWYS_WX_DTBM")
@ApiModel
public class WxDtbm extends Model<WxDtbm> {
    private static final long serialVersionUID = 1L;

        /**
         * 主键
         */
        @TableId(value = "ID",type= IdType.INPUT)
            @ApiModelProperty(value = "主键")
                private String id;
         /**
         * 名称
         */
            @ApiModelProperty(value = "名称")
                private String name;
           /**
             * 是否启用：0不启用，1启用
             */
            @ApiModelProperty(value = "是否启用：0不启用，1启用")
                private String isdisabled;
            
}
