/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.fees.wechatbasicmgt.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.fees.userprofilemgt.entity.DaCustomerSelect;
import com.tofly.fees.wechatbasicmgt.entity.WxFwNotice;
import com.tofly.fees.wechatbasicmgt.entity.WxTsNotice;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.Map;

/**
 * 微信推送服务通知
 *
 * @author sxb
 * @date Mon Jun 05 00:00:00 CST 2023
 */
@Repository //持久化
public interface WxFwNoticeMapper extends BaseMapper<WxFwNotice> {
   int  SelectChargeMaxCode();
    Page<WxFwNotice> selectWxFwNoticePage(@Param("page") Page<WxFwNotice> page, String searchText, String state, String editDateStart, String editDateEnd);
}
